/*		    PlotTool Remote Login Version 1.1 by Lucas Womack
                        Copyright (1990) United States Government
                 as represented by the Director, National Security Agency.
                                   All rights reserved.

Permission to use, copy, modify, and distribute this software and its documentation 
for any purpose and without fee is hereby granted, provided that the above copyright 
notice appears in all copies and that both the copyright notice and this permission 
notice appear in supporting documentation.  Lucas Womack and SRC make no representations 
about the suitability of this software for any purpose.  It is provided "as is" without 
express or implied warranty.

*/

/*Variable*/    application"rsh met /net/public/bin/math" 
initialize {param_plot3d_loader="<<Graphics/NewParametricPlot3D.m";
		list_plot_loader="<<Graphics/Graphics.m";
		list_plot_flag="ListPlot";list_plotjoined_flag=1;
		plotstyle_color="GrayLevel[0]";
		list_plotstyle_color="GrayLevel[0]";
		param_plotstyle_color="GrayLevel[0]";
		plot_flag_choice=0;plot_3d_animation_loader=1;
		param_plot3d_flag="ParametricPlot3D";
		plot_3d_amb_color="GrayLevel[0]";plot_3d_clipfill_color="GrayLevel[0]";
		plot3d_flag="Plot3D";plotstyle_first=0;map_function="CartesianMap";
		map_loader="<<Graphics/ComplexMap.m";}	
size 40 by 100 characters
at 20 125
/*Variable*/    font"/usr/lib/fonts/fixedwidthfonts/serif.r.14"
/*Variable*/    icon"/net/public/pkg/Mathematica/plottool.icon"
label"P l o t T o o l  (c)    by Lucas Womack     --Remote Login Version 1.1--"
gadgets
/*Variable*/	font"/usr/lib/fonts/fixedwidthfonts/gacha.b.8"
	right
	button
		at 5 10
		normal "Reset" {beep;popup reset_all_confirmer;}
	
	end_button
	button
		at 115 10
		normal "Rep command" {
			if(rep_command=="") {nothing;}
			if(rep_command=="contour_plot") {display contour_plot_box;}
			if(rep_command=="plot_3d") {display plot_3d_box;}
			if(rep_command=="plot_plot") {display plot_plot_box;}
			if(rep_command=="param_plot3d") {display param_plot3d_box;}
			if(rep_command=="param_plot") {display param_plot_box;}
			if(rep_command=="list_plot") {display list_plot_box;}
			if(rep_command=="map") {display map_box;}
					}
	end_button

/*Variable*/	label at 7 60 "----C o m m a n d S----":           "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/	label at 3 370"________________________":           "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/	label at 85 400 "List of Useful":                   "/usr/lib/fonts/fixedwidthfonts/cour.r.12" end_label
/*Variable*/	label at 85 415 " Commands for":                    "/usr/lib/fonts/fixedwidthfonts/cour.r.12" end_label
/*Variable*/	label at 85 430 "   PlotTool  ":                   "/usr/lib/fonts/fixedwidthfonts/cour.r.12" end_label
/*Variable*/	label at 5 475 "  Abs       Cos,ArcCsch,..  Degree":"/usr/lib/fonts/fixedwidthfonts/cour.r.10" end_label
/*Variable*/	label at 5 490 "  E         Exp             Mod":   "/usr/lib/fonts/fixedwidthfonts/cour.r.10" end_label
/*Variable*/	label at 5 505 "  I         Infinity        N":      "/usr/lib/fonts/fixedwidthfonts/cour.r.10" end_label
/*Variable*/	label at 5 520 "  Log       Pi              Prime": "/usr/lib/fonts/fixedwidthfonts/cour.r.10" end_label
/*Variable*/	label at 5 535 "  Random    Sqrt            ?,%,%%":    "/usr/lib/fonts/fixedwidthfonts/cour.r.10" end_label
/*Variable*/	label at 5 550 "  +,-,/,*   !,!!,^,()       x,y,z":   "/usr/lib/fonts/fixedwidthfonts/cour.r.10" end_label
/*Variable*/	label at 3 570 "________________________":	    "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
	button
		at 5 605
		normal "Close" close;
	end_button
	button
		at 115 605
		normal "Quit" {beep; popup exit_confirmer;}
	end_button
	button 	
		at 60 95
		normal "Contour" {display contour_plot_box; rep_command="contour_plot";}
	end_button
	button 
		at 60 135
		normal "List Plot" {if(list_plot_loader!="") { send format("%s\n",
				list_plot_loader); list_plot_loader="";}
				display list_plot_box;rep_command="list_plot";}
	end_button
	button
		at 60 175
		normal "Map" {if(map_loader!="") {send format("%s\n",map_loader);
				map_loader="";}
				display map_box; rep_command="map";}

	end_button
	button
		at 60 215
		normal "Parametric" {display param_plot_box; rep_command="param_plot";}
	end_button
 	button 
		at 60 255
		normal "Param. 3D" {if(param_plot3d_loader!="") { send format("%s\n",
				param_plot3d_loader); param_plot3d_loader="";}
				display param_plot3d_box; rep_command="param_plot3d";}
	end_button
	button
		at 60 295
		normal "Plot" {if(list_plot_loader!=""){ send format("%s\n",
				list_plot_loader); list_plot_loader="";}
				display plot_plot_box; rep_command="plot_plot";}
	end_button
	button 
		at 60 335
		normal "Plot 3D" {display plot_3d_box; rep_command="plot_3d";}
	end_button
	
/*Variable*/	label at 5 390 '/net/public/pkg/Mathematica/plottool.icon'  end_label		
end_gadgets

dialog exit_confirmer
	size 10 by 20 characters
	gadgets
/*Variable*/		font"/usr/lib/fonts/fixedwidthfonts/gallant.r.19"
		label"Do you really wish to quit PlotTool?"
		end_label
		button
			normal	"Confirm"  {remove exit_confirmer;
					    exit;}
		end_button
		button
			at 340 30
			normal  "Cancel"   remove exit_confirmer;
	 	end_button

	end_gadgets
end_dialog
		
dialog contour_plot_box
	label "P l o t T o o l -- ContourPlot/DensityPlot"
	size 70 by 90 characters
	at 107 60
/*Variable*/	gadgets font"/usr/lib/fonts/fixedwidthfonts/cour.r.18"
		text cont_pl_func
		display 50
		label"Function:"
		action nothing;
		end_text
		text cont_pl_func_x_min
		display 50
		at 5 40
		label"Var1 min:"
		action nothing;
		end_text
		text cont_pl_func_x_max
		display 50
		at 5 80
		label"Var1 max:"
		action nothing;
		end_text	
		text cont_pl_func_y_min
		display 50
		at 5 120
		label"Var2 min:"
		action nothing;
		end_text
		text cont_pl_func_y_max
		display 50
		at 5 160
		label"Var2 max:"
		action nothing;
		end_text
		text cont_pl_var1	
		display 5
		at 60 210 
		label"Plot with respect to var 1 <x>:"
		action nothing;
		end_text
		text cont_pl_var2
		display 5
		at 515 210
		label"Plot with respect to var 2 <y>:"		
		end_text
		label at 175 250 "Options for  C O N T O U R / D E N S I T Y   P L O T"	end_label
		button
			at 755 4
			normal "Clear last function" cont_pl_func="";
		end_button
		button
			at 755 38
			normal "Clear last var1 min" cont_pl_func_x_min="";
		end_button
		button
			at 755 73
			normal "Clear last var1 max" cont_pl_func_x_max="";
		end_button
		button
			at 755 107
			normal "Clear last var2 min" cont_pl_func_y_min="";
		end_button
		button
			at 755 141 
			normal "Clear last var2 max" cont_pl_func_y_max="";
		end_button

		choice cont_pl_asp_ratio_choice
		at 5 290
		label"(s)AspectRatio   :"
		display horizontal
			"Default " nothing;
			"Automatic " cont_pl_asp_ratio="Automatic";
			"Manual" nothing;
		end_choice
		text cont_pl_asp_ratio_no
			display 20
		at 550 290 
			label"AspectRatio:"
			action nothing;
		end_text
		choice cont_pl_axes_choice
			at 5 320
			label"(s)Axes          :"
			display horizontal
			"Automatic " cont_pl_axes="Automatic";
			"None " cont_pl_axes="None";
			"Manual" nothing;
		end_choice
		text cont_pl_axes_origin
		display 20
		at 550 320
		label"Axes Origin:"
		end_text
		choice cont_pl_axes_label_choice
			at 5 350 
		 	label"(s)AxesLabel     :"
			display horizontal
			"None " nothing;
			"Manual" nothing;
		end_choice
		text cont_pl_axes_label
			at 550 350
			display 20
			label "Label      :"
		end_text
		choice cont_pl_cont_levels_choice
			at 5 380
			label"   ContourLevels :" 
			display horizontal
			"Default " nothing;
			"Manual" nothing;
		end_choice
		text cont_pl_cont_levels
			at 550 380 
			display 20
			label "Levels     :"
		end_text
		choice cont_pl_cont_space_choice
			at 5 410 
			label"   ContourSpacing:"
			display horizontal
			"Automatic " nothing;
			"Manual" nothing;
		end_choice
		text cont_pl_cont_space
			at 550 410
			display 20
			label "Spacing    :"
		end_text
		choice cont_pl_frame_choice
			at 5 440
			label "(s)Framed        :"
			display horizontal
			"True " nothing;
			"False" cont_pl_frame="False";
		end_choice
		choice cont_pl_plot_label_choice
			at 5 470
			label "(s)PlotLabel     :"
			display horizontal
			"None " nothing;
			"Manual" nothing;
		end_choice
		text cont_pl_plot_label
			at 550 470
			display 20
			label "Label      :"
		end_text
		choice cont_pl_plot_range_choice
			at 5 530
			label"(s)PlotRange     :"
			display horizontal
			"Automatic " nothing;
			"All " cont_pl_plot_range="All";
			"Manual" nothing;
		end_choice
		text cont_pl_plot_range_no
			at 550 530
			display 20
			label "Range      :"
		end_text
		choice cont_plot_plotstyle_choice
			at 5 560
			label"(s)PlotStyle     :"
			display horizontal
			"Default " nothing;
			"Manual" popup plotstyle_dialog_box;
		end_choice
		choice cont_pl_plot_points_choice
			at 5 500
			label"   PlotPoints    :"
			display horizontal
			"Default " nothing;
			"Manual" nothing;
		end_choice
		text cont_pl_plot_points
			at 550 500
			display 20
			label"Points     :"
		end_text
		choice cont_pl_print_choice
			at 5 590
			label"(s)Print Plot    :"
			display horizontal
			"No " nothing;
			"Yes" nothing;
		end_choice
		choice cont_pl_func_choice
			at 550 590 
			label"Redraw LAST using Show?:" display horizontal "No" nothing; "Yes" nothing; end_choice
		choice cont_pl_ticks_choice
			at 5 620
			label"(s)Ticks         :"
			display horizontal
			"Default " nothing;
			"None " nothing;
			"Manual" nothing;
		end_choice
		text cont_pl_ticks
			at 550 620
			display 20
			label"Ticks      :"
		end_text			
		button
			at 750 660
			normal "Plot"{
			if(cont_pl_func=="" || cont_pl_func_x_min=="" || cont_pl_func_x_max=="" || 
				cont_pl_func_y_min=="" || cont_pl_func_y_max=="") beep;
				else {
			if(cont_pl_print_choice==1) send format("LaserPrint[");
			{if(cont_pl_func_choice==1) send format("Show[%%");  else {
				if(density_plot_flag==1){
			send format("DensityPlot[%s,{",cont_pl_func);
					if(cont_pl_var1==""){send format("x");}
					else send format("%s",cont_pl_var1);
				send format(",%s,%s},{",cont_pl_func_x_min,cont_pl_func_x_max);
					if(cont_pl_var2==""){send format("y");}
					else send format("%s",cont_pl_var2);
				send format(",%s,%s}",cont_pl_func_y_min,cont_pl_func_y_max);} else
				if(density_plot_flag==0){
				send format("ContourPlot[%s,{",cont_pl_func);
					if(cont_pl_var1==""){send format("x");}
					else send format("%s",cont_pl_var1);
				send format(",%s,%s},{",cont_pl_func_x_min,cont_pl_func_x_max);
					if(cont_pl_var2==""){send format("y");}
					else send format("%s",cont_pl_var2);
				send format(",%s,%s}",cont_pl_func_y_min,cont_pl_func_y_max);}}}
			if(cont_plot_plotstyle_choice==1) {
					if(plotstyle_text!="" && cont_pl_func_choice==0){
						send format(",PlotStyle->%s",plotstyle_text);}
					if(background!=""){
						send format(",Background->%s",background);}
					if(!(plotstyle_1=="" && plotstyle_2=="" && plotstyle_3=="")){
						send format(",Prolog->{");
						if(plotstyle_1!=""){
							send format("%s",plotstyle_1);
							plotstyle_first=1;}
						if(plotstyle_2!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_2);plotstyle_first=0;}
							else
								send format("%s",plotstyle_2);plotstyle_first=1;
						}
						if(plotstyle_3!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_3);plotstyle_first=0;}
							else
								send format("%s",plotstyle_3);plotstyle_first=1;
						}
						send format("}");
					}
					plotstyle_first=0;
				}	
			 if(cont_pl_func_choice==0){
				if(cont_pl_asp_ratio_choice!=0){
				if(cont_pl_asp_ratio_choice==1){
				send format(",AspectRatio->%s",cont_pl_asp_ratio);}
				else if(cont_pl_asp_ratio_no!=""){
				send format(",AspectRatio->%s",cont_pl_asp_ratio_no);}}
			if(cont_pl_axes_choice!=0){
				if(cont_pl_axes_choice==1){
				send format(",Axes->%s",cont_pl_axes);}
				else if(cont_pl_axes_origin!=""){
					send format(",Axes->%s",cont_pl_axes_origin);}}
			if(cont_pl_axes_label_choice!=0 && cont_pl_axes_label!=""){
				send format(",AxesLabel->%s",cont_pl_axes_label);}
			if(cont_pl_cont_levels_choice!=0  && density_plot_flag==0 && cont_pl_cont_levels!=""){
				send format(",ContourLevels->%s",cont_pl_cont_levels);}
			if(cont_pl_cont_space_choice!=0 && density_plot_flag==0 && cont_pl_cont_space!=""){
				send format(",ContourSpacing->%s",cont_pl_cont_space);}
			if(cont_pl_frame_choice!=0){
				send format(",Framed->%s",cont_pl_frame);}
			if(cont_pl_plot_label_choice!=0 && cont_pl_plot_label!=""){
				send format(",PlotLabel->\"%s\"",cont_pl_plot_label);} 
			if(cont_pl_plot_range_choice!=0){
				if(cont_pl_plot_range_choice==1){
				send format(",PlotRange->%s",cont_pl_plot_range);}
				else if(cont_pl_plot_range_no!=""){
				send format(",PlotRange->%s",cont_pl_plot_range_no);}}
			if(cont_pl_plot_points_choice!=0 && cont_pl_plot_points!=""){
				send format(",PlotPoints->%s",cont_pl_plot_points);}
			if(cont_pl_ticks_choice!=0){
				if(cont_pl_ticks_choice==1){
				send format(",Ticks->None");}
				else if(cont_pl_ticks!=""){
				send format(",Ticks->%s",cont_pl_ticks);}}} else
			{	if(cont_pl_asp_ratio_choice!=0){
				if(cont_pl_asp_ratio_choice==1){
				send format(",AspectRatio->%s",cont_pl_asp_ratio);}
				else if(cont_pl_asp_ratio_no!=""){
				send format(",AspectRatio->%s",cont_pl_asp_ratio_no);}}
			if(cont_pl_axes_choice!=0){
				if(cont_pl_axes_choice==1){
				send format(",Axes->%s",cont_pl_axes);}
				else if(cont_pl_axes_origin!=""){
					send format(",Axes->%s",cont_pl_axes_origin);}}
			if(cont_pl_axes_label_choice!=0 && cont_pl_axes_label!=""){
				send format(",AxesLabel->%s",cont_pl_axes_label);}
			if(cont_pl_frame_choice!=0){
				send format(",Framed->%s",cont_pl_frame);}
			if(cont_pl_plot_label_choice!=0 && cont_pl_plot_label!=""){
				send format(",PlotLabel->\"%s\"",cont_pl_plot_label);} 
			if(cont_pl_plot_range_choice!=0){
				if(cont_pl_plot_range_choice==1){
				send format(",PlotRange->%s",cont_pl_plot_range);}
				else if(cont_pl_plot_range_no!=""){
				send format(",PlotRange->%s",cont_pl_plot_range_no);}}
			if(cont_pl_ticks_choice!=0){
				if(cont_pl_ticks_choice==1){
				send format(",Ticks->None");}
				else if(cont_pl_ticks!=""){
				send format(",Ticks->%s",cont_pl_ticks);}}}
			if(cont_pl_print_choice==1){
				send format("]]\n");}
			else send format("]\n");
			remove contour_plot_box;
			cont_pl_print_choice=0;cont_pl_func_choice=0;}
			}
		end_button
		button
			at 5 660
			normal "Reset All" {
						cont_pl_func="";cont_pl_func_x_min="";
						cont_pl_func_x_max="";cont_pl_func_y_min="";
						cont_pl_func_y_max="";cont_pl_asp_ratio_choice=0;
						cont_pl_asp_ratio_no="";cont_pl_axes_choice=0;
						cont_pl_axes_origin="";cont_pl_axes_label_choice=0;
						cont_pl_axes_label="";cont_pl_cont_levels_choice=0;
						cont_pl_cont_levels="";cont_pl_cont_space_choice=0;
						cont_pl_cont_space="";cont_pl_frame_choice=0;
						cont_pl_plot_label_choice=0;cont_pl_plot_label="";
						cont_pl_plot_range_choice=0;cont_pl_plot_range_no="";
						cont_pl_plot_points_choice=0;cont_pl_plot_points="";
						cont_pl_print_choice=0; cont_pl_func_choice=0;
						density_plot_flag=0;cont_pl_var1="";cont_pl_var2="";
						cont_pl_ticks_choice=0;cont_pl_ticks="";plotstyle_1="";
						plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";
						cont_plot_plotstyle_choice=0;
						}
		end_button
		button
			at 252 660
			normal "Reset Options" {cont_pl_asp_ratio_choice=0;
						cont_pl_asp_ratio_no="";cont_pl_axes_choice=0;
						cont_pl_axes_origin="";cont_pl_axes_label_choice=0;
						cont_pl_axes_label="";cont_pl_cont_levels_choice=0;
						cont_pl_cont_levels="";cont_pl_cont_space_choice=0;
						cont_pl_cont_space="";cont_pl_frame_choice=0;
						cont_pl_plot_label_choice=0;cont_pl_plot_label="";
						cont_pl_plot_range_choice=0;cont_pl_plot_range_no="";
						cont_pl_plot_points_choice=0;cont_pl_plot_points="";
						cont_pl_print_choice=0; cont_pl_func_choice=0;
						density_plot_flag=0;cont_pl_ticks_choice=0;cont_pl_ticks="";
						plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";
						plotstyle_text="";cont_plot_plotstyle_choice=0;
						}
		end_button
		button
			at 499 660
			normal "Return to main menu" {remove contour_plot_box;	
							}
		end_button
		label at 5 690 
		"________________________________________________________________________________________" end_label
		label at 5 710
		"SPECIAL OPTIONS" end_label
		choice density_plot_flag at 5 740 display horizontal label "Plot with options using: "
		"Contour Plot "  nothing;  "Density Plot" nothing; end_choice
		label at 5 760
		"________________________________________________________________________________________" end_label
		end_gadgets
	end_dialog
dialog plot_3d_box
	label"P l o t T o o l -- Plot3D"
	size 70 by 90 characters
	at 85 90
/*Variable*/	gadgets font"/usr/lib/fonts/fixedwidthfonts/cour.r.18"
		text plot_3d_func
		at 250 5
		display 35
		label "Function / Array         :"
		action nothing;
		end_text
		text plot_3d_x_min
		at 250 40
		display 35 
		label "Domain - X min           :"
		action nothing;
		end_text
		text plot_3d_x_max
		at 250 75
		display 35
		label "Domain - X max           :"
		action nothing;
		end_text
		text plot_3d_y_min
		at 250 110
		display 35  
		label "Range - Y min            :"
		action nothing;
		end_text
		text plot_3d_y_max
		at 250 145
		display 35
		label "Range- Y max             :"
		action nothing;
		end_text
		text plot_3d_shade_func
		at 250 180
		display 35
		label "(Optional) Shade function:"
		action nothing;	
		end_text
		button
			at 5 4
			normal "Clear last function" plot_3d_func="";
		end_button
		button
		 	at 5 38
			normal "Clear last x min" plot_3d_x_min="";	
		end_button
		button
			at 5 73
			normal "Clear last x max" plot_3d_x_max="";
		end_button
		button
			at 5 107
			normal "Clear last y min" plot_3d_y_min="";
		end_button
		button
			at 5 141
			normal "Clear last y max" plot_3d_y_max="";
		end_button
		button
			at 5 175
		 	normal "Clear last s. func" plot_3d_shade_func="";
		end_button
		button
			at 5 209
			normal "Reset All" {plot_3d_func="";plot_3d_x_min="";plot_3d_x_max="";
			plot_3d_y_min="";plot_3d_y_max="";plot_3d_shade_func="";plot_3d_amb_choice=0;
			plot_3d_amb_color="GrayLevel[0]";                 
			plot_3d_asp_ratio_choice=0;plot_3d_asp_ratio_no="";
			plot_3d_boxratios_choice=0;plot_3d_box_ratio_no="";plot_3d_boxed_choice=0;
			plot_3d_clipfill_choice=0;plot_3d_clipfill_color="GrayLevel[0]";   
			plot_3d_framed_choice=0;plot_3d_hiddsurf_choice=0;plot_3d_lighting_choice=0;
			plot_3d_mesh_choice=0;plot_3d_plotcolor_choice=0;plot_3d_plotlabel_choice=0;
			plot_3d_plotlabel="";plot_3d_plotpoints_choice=0;plot_3d_plotpoints="";
			plot_3d_plotrange_choice=0;plot_3d_zmin="";plot_3d_zmax="";
			plot_3d_shading_choice=0;plot_3d_viewpoint_choice=0;plot_3d_viewpoint="";
			plot_3d_viewpoint_box_choice=0;plot_3d_printplot_choice=0;plot_3d_func_choice=0;
			plot_3d_ticks_choice=0;plot3d_flag="Plot3D";}
		end_button
		button
			at 252 209
			normal "Reset Options" {
			plot_3d_amb_choice=0;
			plot_3d_amb_color="GrayLevel[0]";                 
			plot_3d_asp_ratio_choice=0;plot_3d_asp_ratio_no="";
			plot_3d_boxratios_choice=0;plot_3d_box_ratio_no="";plot_3d_boxed_choice=0;
			plot_3d_clipfill_choice=0;plot_3d_clipfill_color="GrayLevel[0]";   
			plot_3d_framed_choice=0;plot_3d_hiddsurf_choice=0;plot_3d_lighting_choice=0;
			plot_3d_mesh_choice=0;plot_3d_plotcolor_choice=0;plot_3d_plotlabel_choice=0;
			plot_3d_plotlabel="";plot_3d_plotpoints_choice=0;plot_3d_plotpoints="";
			plot_3d_plotrange_choice=0;plot_3d_zmin="";plot_3d_zmax="";
			plot_3d_shading_choice=0;plot_3d_viewpoint_choice=0;plot_3d_viewpoint="";
			plot_3d_viewpoint_box_choice=0;plot_3d_printplot_choice=0;plot_3d_func_choice=0;
			plot_3d_ticks_choice=0;plot3d_flag="Plot3D";}
		end_button
		button		
			at 499 209
			normal "Return to main menu" {remove plot_3d_box;
							}
		end_button
		button
			at 750 209
			normal "Plot" {
			if(plot3d_flag=="Plot3D"){
			if(plot_3d_func=="" || plot_3d_x_min=="" || plot_3d_x_max=="" || plot_3d_y_min ==""||
				plot_3d_y_max =="") beep_flag2=1;}
 			if(plot3d_flag=="ListPlot3D"){
				if(plot_3d_func=="") beep_flag2=1;}
			if(beep_flag2==1){beep_flag2=0;beep;}
				else 		
			{remove plot_3d_box;
			if(plot_3d_printplot_choice==1)
				send format("LaserPrint[");
			if(plot_3d_func_choice==1)
				send format("Show[%%");
			else	send format("%s[",plot3d_flag);
  			if(plot_3d_func_choice==0 && plot3d_flag=="Plot3D"){
				if(plot_3d_shade_func=="")
				send format("%s,{x,%s,%s},{y,%s,%s}",plot_3d_func,plot_3d_x_min,
				plot_3d_x_max,plot_3d_y_min,plot_3d_y_max);
			else 	send format("{%s,%s},{x,%s,%s},{y,%s,%s}",plot_3d_func,
				plot_3d_shade_func,plot_3d_x_min,plot_3d_x_max,plot_3d_y_min,
				plot_3d_y_max);}
			if(plot_3d_func_choice==0 && plot3d_flag=="ListPlot3D"){
				if(plot_3d_shade_func=="")
				send format("%s",plot_3d_func);
			else 	send format("%s,%s",plot_3d_func,plot_3d_shade_func);
			}
			if(plot_3d_func_choice==0){
				if(plot_3d_amb_choice!=0){
				send format(",AmbientLight->%s",plot_3d_amb_color);}
			if(plot_3d_asp_ratio_choice!=0){
				if(plot_3d_asp_ratio_choice==1){
				send format(",AspectRatio->%s",plot_3d_asp_ratio);}
				else if(plot_3d_asp_ratio_no!=""){
					send format(",AspectRatio->%s",plot_3d_asp_ratio_no);
				}}
			if(plot_3d_boxratios_choice!=0 && plot_3d_box_ratio_no!=""){
				send format(",BoxRatios->%s",plot_3d_box_ratio_no);}
			if(plot_3d_boxed_choice!=0){
				send format(",Boxed->%s",plot_3d_boxed);}
			if(plot_3d_clipfill_choice!=0){
				if(plot_3d_clipfill_choice==1){
					send format(",ClipFill->%s",plot_3d_clipfill);}
				else if(plot_3d_clipfill_choice==2){
					send format(",ClipFill->%s",
					plot_3d_clipfill_color);}}
			if(plot_3d_framed_choice!=0){
				send format(",Framed->%s",plot_3d_framed);}
			if(plot_3d_hiddsurf_choice!=0 && plot3d_flag=="Plot3D"){
				send format(",HiddenSurface->%s",plot_3d_hiddsurf);}
			if(plot_3d_lighting_choice!=0){
				send format(",Lighting->%s",plot_3d_lighting);}
			if(plot_3d_mesh_choice!=0){
				send format(",Mesh->%s",plot_3d_mesh);}
			if(plot_3d_plotcolor_choice!=0){
				send format(",PlotColor->%s",plot_3d_plotcolor);}
			if(plot_3d_plotlabel_choice!=0 && plot_3d_plotlabel!=""){
				send format(",PlotLabel->\"%s\"",plot_3d_plotlabel);}
			if(plot_3d_plotpoints_choice!=0 && plot_3d_plotpoints!="" && plot3d_flag=="Plot3D"){
				send format(",PlotPoints->%s",plot_3d_plotpoints);}
			if(plot_3d_plotrange_choice!=0){
				if(plot_3d_zmin!="" && plot_3d_zmax!=""){
				send format(",PlotRange->{%s,%s}",plot_3d_zmin,plot_3d_zmax);}}
			if(plot_3d_shading_choice!=0){
				send format(",Shading->%s",plot_3d_shading);}
			if(plot_3d_viewpoint_choice!=0 && plot_3d_viewpoint!=""){
				send format(",ViewPoint->%s",plot_3d_viewpoint);}
			if(plot_3d_ticks_choice!=0){
				send format(",Ticks->None");}}
			 else if(plot_3d_func_choice==1)
			{
			if(plot_3d_amb_choice!=0){
			send format(",AmbientLight->%s",plot_3d_amb_color);}
			if(plot_3d_asp_ratio_choice!=0){
				if(plot_3d_asp_ratio_choice==1){
				send format(",AspectRatio->%s",plot_3d_asp_ratio);}
				else if(plot_3d_asp_ratio_no!=""){
					send format(",AspectRatio->%s",plot_3d_asp_ratio_no);
				}}
			if(plot_3d_boxratios_choice!=0 && plot_3d_box_ratio_no!=""){
				send format(",BoxRatios->%s",plot_3d_box_ratio_no);}
			if(plot_3d_boxed_choice!=0){
				send format(",Boxed->%s",plot_3d_boxed);}
			if(plot_3d_framed_choice!=0){
				send format(",Framed->%s",plot_3d_framed);}
			if(plot_3d_lighting_choice!=0){
				send format(",Lighting->%s",plot_3d_lighting);}
			if(plot_3d_plotcolor_choice!=0){
				send format(",PlotColor->%s",plot_3d_plotcolor);}
			if(plot_3d_plotlabel_choice!=0 && plot_3d_plotlabel!=""){
				send format(",PlotLabel->\"%s\"",plot_3d_plotlabel);}
			if(plot_3d_plotrange_choice!=0){
				if(plot_3d_zmin!="" && plot_3d_zmax!=""){
				send format(",PlotRange->{%s,%s}",plot_3d_zmin,plot_3d_zmax);}}
			if(plot_3d_shading_choice!=0){
				send format(",Shading->%s",plot_3d_shading);}
			if(plot_3d_viewpoint_choice!=0 && plot_3d_viewpoint!=""){
				send format(",ViewPoint->%s",plot_3d_viewpoint);}
			if(plot_3d_ticks_choice!=0){
				send format(",Ticks->None");}}
			if(plot_3d_printplot_choice!=0){
				send format("]]\n");}
			else send format("]\n");
			plot_3d_printplot_choice=0;plot_3d_func_choice=0;}}
			end_button
		label  at 340 250 "Options for  P L O T   3D"
		end_label
		choice plot_3d_amb_choice
			at 5 280
			label "(s)AmbientLight :"
			display horizontal
			"Default " nothing;	
			"Manual" nothing;
		end_choice
		menu at 499 275 "GrayLevel:"
			"0   % white" plot_3d_amb_color="GrayLevel[0]";
			"5   %"		plot_3d_amb_color="GrayLevel[.05]";
			"10  %"	      plot_3d_amb_color="GrayLevel[.1]";
			"15  %"		plot_3d_amb_color="GrayLevel[.15]";
			"20  %"	      plot_3d_amb_color="GrayLevel[.2]";
			"25  %"		plot_3d_amb_color="GrayLevel[.25]";
			"30  %"	      plot_3d_amb_color="GrayLevel[.3]";
			"35  %"		plot_3d_amb_color="GrayLevel[.35]";
			"40  %"       plot_3d_amb_color="GrayLevel[.4]";
			"45  %"		plot_3d_amb_color="GrayLevel[.45]";
			"50  %"       plot_3d_amb_color="GrayLevel[.5]";
			"55  %"		plot_3d_amb_color="GrayLevel[.55]";
			"60  %"	      plot_3d_amb_color="GrayLevel[.6]";
			"65  %"		plot_3d_amb_color="GrayLevel[.65]";
			"70  %"		plot_3d_amb_color="GrayLevel[.7]";
			"75  %"		plot_3d_amb_color="GrayLevel[.75]";
			"80  %"		plot_3d_amb_color="GrayLevel[.8]";
			"85  %"		plot_3d_amb_color="GrayLevel[.85]";
			"90  %"		plot_3d_amb_color="GrayLevel[.9]";
			"95  %"		plot_3d_amb_color="GrayLevel[.95]";
			"100 %"		plot_3d_amb_color="GrayLevel[1]";
		end_menu
		menu at 750 275 "RGBColor:"
			"Aquamarine"    	plot_3d_amb_color="RGBColor[0.44, 0.86, 0.58]";
			"Black"         	plot_3d_amb_color="RGBColor[0., 0., 0.]";
			"Blue"		plot_3d_amb_color="RGBColor[0,0,1]";
			"BlueViolet"    	plot_3d_amb_color= "RGBColor[0.62, 0.37, 0.62]";
			"Brown"         	plot_3d_amb_color= "RGBColor[0.65, 0.16, 0.16]";
			"CadetBlue"     	plot_3d_amb_color= "RGBColor[0.37, 0.62, 0.62]";
			"Coral"         	plot_3d_amb_color= "RGBColor[1., 0.5, 0.]";
			"CornflowerBlue"  plot_3d_amb_color= "RGBColor[0.26, 0.26, 0.44]";
			"Cyan"		plot_3d_amb_color="RGBColor[0,1,1]";
			"DarkGreen"     	plot_3d_amb_color= "RGBColor[0.18, 0.31, 0.18]";
			"DarkOliveGreen"  plot_3d_amb_color= "RGBColor[0.31, 0.31, 0.18]";
			"DarkOrchid"    	plot_3d_amb_color= "RGBColor[0.6, 0.2, 0.8]";
			"DarkSlateBlue" 	plot_3d_amb_color= "RGBColor[0.42, 0.14, 0.56]";
			"DarkSlateGray" 	plot_3d_amb_color= "RGBColor[0.18, 0.31, 0.31]";
			"DarkTurquoise" 	plot_3d_amb_color= "RGBColor[0.44, 0.58, 0.86]";
			"DimGray"         plot_3d_amb_color= "RGBColor[0.33, 0.33, 0.33]";
			"Firebrick"     	plot_3d_amb_color= "RGBColor[0.56, 0.14, 0.14]";
			"ForestGreen"	plot_3d_amb_color= "RGBColor[0.14, 0.56, 0.14]";
			"Gold"            plot_3d_amb_color= "RGBColor[0.8, 0.5, 0.2]";
			"Gray"          plot_3d_amb_color= "RGBColor[0.75, 0.75, 0.75]";
			"Green"		plot_3d_amb_color="RGBColor[0,1,0]";
			"GreenYellow"   plot_3d_amb_color= "RGBColor[0.58, 0.86, 0.44]";
			"IndianRed"     plot_3d_amb_color= "RGBColor[0.31, 0.18, 0.18]";
			"Khaki"         plot_3d_amb_color= "RGBColor[0.62, 0.62, 0.37]";
			"LightBlue"     plot_3d_amb_color= "RGBColor[0.75, 0.85, 0.85]";
			"LightGray"     plot_3d_amb_color= "RGBColor[0.66, 0.66, 0.66]";
			"LightSteelBlue"       plot_3d_amb_color = "RGBColor[0.56, 0.56, 0.74]";
			"LimeGreen"     plot_3d_amb_color= "RGBColor[0.2, 0.8, 0.2]";
			"Magenta"              plot_3d_amb_color = "RGBColor[1., 0., 1.]";
			"Maroon"                plot_3d_amb_color= "RGBColor[0.56, 0.14, 0.42]";
			"MidnightBlue"  plot_3d_amb_color= "RGBColor[0.18, 0.18, 0.31]";
			"Navy"         plot_3d_amb_color = "RGBColor[0.14, 0.14, 0.56]";
			"NavyBlue"      plot_3d_amb_color= "RGBColor[0.14, 0.14, 0.56]";
			"Orange"               plot_3d_amb_color = "RGBColor[0.8, 0.2, 0.2]";
			"OrangeRed"     plot_3d_amb_color= "RGBColor[1., 0., 0.5]";
			"Orchid"                plot_3d_amb_color= "RGBColor[0.86, 0.44, 0.86]";
			"PaleGreen"    plot_3d_amb_color = "RGBColor[0.56, 0.74, 0.56]";
			"Peach"         plot_3d_amb_color= "RGBColor[0.44, 0.26, 0.26]";
			"Pink"         plot_3d_amb_color = "RGBColor[0.74, 0.56, 0.56]";
			"Plum"          plot_3d_amb_color= "RGBColor[0.92, 0.68, 0.92]";
			"PrussianBlue"  plot_3d_amb_color= "RGBColor[0.18, 0.18, 0.31]";
			"Purple"                plot_3d_amb_color= "RGBColor[0.31, 0.18, 0.31]";
			"Red"		plot_3d_amb_color="RGBColor[1,0,0]";
			"Salmon "              plot_3d_amb_color = "RGBColor[0.44, 0.26, 0.26]";
			"SandyBrown"    plot_3d_amb_color= "RGBColor[0.96, 0.64, 0.38]";
			"SeaGreen"     plot_3d_amb_color = "RGBColor[0.14, 0.56, 0.42]";
			"Sienna"               plot_3d_amb_color = "RGBColor[0.56, 0.42, 0.14]";
			"SkyBlue "        plot_3d_amb_color = "RGBColor[0.2, 0.6, 0.8]";
			"SlateBlue"    plot_3d_amb_color = "RGBColor[0., 0.5, 1.]";
			"SpringGreen"   plot_3d_amb_color= "RGBColor[0., 1., 0.5]";
			"SteelBlue"     plot_3d_amb_color= "RGBColor[0.14, 0.42, 0.56]";
			"Thistle "             plot_3d_amb_color = "RGBColor[0.85, 0.75, 0.85]";
			"Turquoise"     plot_3d_amb_color= "RGBColor[0.68, 0.92, 0.92]";
			"Violet"                plot_3d_amb_color= "RGBColor[0.31, 0.18, 0.31]";
			"VioletRed"     plot_3d_amb_color= "RGBColor[0.8, 0.2, 0.6]";
			"Wheat"       plot_3d_amb_color = "RGBColor[0.85, 0.85, 0.75]";
			"White"       plot_3d_amb_color = "RGBColor[1., 1., 1.]";
			"Yellow"	plot_3d_amb_color="RGBColor[1,1,0]";
			"YellowBrown"  plot_3d_amb_color = "RGBColor[0.86, 0.58, 0.44]";
			"YellowGreen"  plot_3d_amb_color = "RGBColor[0.6, 0.8, 0.2]";

			end_menu
		choice plot_3d_asp_ratio_choice
		at 5 305
		label "(s)AspectRatio  :"
		display horizontal
			"Default " nothing;
			"Automatic " plot_3d_asp_ratio="Automatic";
			"Manual"nothing;
		end_choice
		text plot_3d_asp_ratio_no
			at 550 305
			display 20 
			label "AspectRatio:"
			action nothing;
		end_text
		choice plot_3d_boxratios_choice
			at 5 330
			label "(s)BoxRatios    :"
			display horizontal
			"Default " nothing;
			"Manual" nothing;
		end_choice
		text plot_3d_box_ratio_no
			at 550 330
			label "BoxRatios  :"
			display 20
			action nothing;
		end_text
		choice plot_3d_boxed_choice
			at 5 355
			label "(s)Boxed        :"
			display horizontal
			"True " nothing;
			"False" plot_3d_boxed="False";
		end_choice
		choice plot_3d_clipfill_choice
			at 5 380
			label "   ClipFill     :"
			display cycle
			"Automatic " nothing;
			"None " plot_3d_clipfill="None";
			"Manual" nothing;
		end_choice
		menu at 499 375 "GrayLevel:"
			"0   % white" plot_3d_clipfill_colorlot_3d_amb_color="GrayLevel[0]";
			"5   %"		plot_3d_clipfill_color="GrayLevel[.05]";
			"10  %"	      plot_3d_clipfill_color="GrayLevel[.1]";
			"15  %"		plot_3d_clipfill_color="GrayLevel[.15]";
			"20  %"	      plot_3d_clipfill_color="GrayLevel[.2]";
			"25  %"		plot_3d_clipfill_color="GrayLevel[.25]";
			"30  %"	      plot_3d_clipfill_color="GrayLevel[.3]";
			"35  %"		plot_3d_clipfill_color="GrayLevel[.35]";
			"40  %"       plot_3d_clipfill_color="GrayLevel[.4]";
			"45  %"		plot_3d_clipfill_color="GrayLevel[.45]";
			"50  %"       plot_3d_clipfill_color="GrayLevel[.5]";
			"55  %"		plot_3d_clipfill_color="GrayLevel[.55]";
			"60  %"	      plot_3d_clipfill_color="GrayLevel[.6]";
			"65  %"		plot_3d_clipfill_color="GrayLevel[.65]";
			"70  %"		plot_3d_clipfill_color="GrayLevel[.7]";
			"75  %"		plot_3d_clipfill_color="GrayLevel[.75]";
			"80  %"		plot_3d_clipfill_color="GrayLevel[.8]";
			"85  %"		plot_3d_clipfill_color="GrayLevel[.85]";
			"90  %"		plot_3d_clipfill_color="GrayLevel[.9]";
			"95  %"		plot_3d_clipfill_color="GrayLevel[.95]";
			"100 %"		plot_3d_clipfill_color="GrayLevel[1]";
		end_menu
		menu at 750 375 "RGBColor:"
			"Aquamarine"    	plot_3d_clipfill_color="RGBColor[0.44, 0.86, 0.58]";
			"Black"         	plot_3d_clipfill_color="RGBColor[0., 0., 0.]";
			"Blue"		plot_3d_clipfill_color="RGBColor[0,0,1]";
			"BlueViolet"    	plot_3d_clipfill_color= "RGBColor[0.62, 0.37, 0.62]";
			"Brown"         	plot_3d_clipfill_color= "RGBColor[0.65, 0.16, 0.16]";
			"CadetBlue"     	plot_3d_clipfill_color= "RGBColor[0.37, 0.62, 0.62]";
			"Coral"         	plot_3d_clipfill_color= "RGBColor[1., 0.5, 0.]";
			"CornflowerBlue"  plot_3d_clipfill_color= "RGBColor[0.26, 0.26, 0.44]";
			"Cyan"		plot_3d_clipfill_color="RGBColor[0,1,1]";
			"DarkGreen"     	plot_3d_clipfill_color= "RGBColor[0.18, 0.31, 0.18]";
			"DarkOliveGreen"  plot_3d_clipfill_color= "RGBColor[0.31, 0.31, 0.18]";
			"DarkOrchid"    	plot_3d_clipfill_color= "RGBColor[0.6, 0.2, 0.8]";
			"DarkSlateBlue" 	plot_3d_clipfill_color= "RGBColor[0.42, 0.14, 0.56]";
			"DarkSlateGray" 	plot_3d_clipfill_color= "RGBColor[0.18, 0.31, 0.31]";
			"DarkTurquoise" plot_3d_clipfill_color= "RGBColor[0.44, 0.58, 0.86]";
			"DimGray"         plot_3d_clipfill_color= "RGBColor[0.33, 0.33, 0.33]";
			"Firebrick"     	plot_3d_clipfill_color= "RGBColor[0.56, 0.14, 0.14]";
			"ForestGreen"	plot_3d_clipfill_color= "RGBColor[0.14, 0.56, 0.14]";
			"Gold"            plot_3d_clipfill_color= "RGBColor[0.8, 0.5, 0.2]";
			"Gray"          plot_3d_clipfill_color= "RGBColor[0.75, 0.75, 0.75]";
			"Green"		plot_3d_clipfill_color="RGBColor[0,1,0]";
			"GreenYellow"   plot_3d_clipfill_color= "RGBColor[0.58, 0.86, 0.44]";
			"IndianRed"     plot_3d_clipfill_color= "RGBColor[0.31, 0.18, 0.18]";
			"Khaki"         plot_3d_clipfill_color= "RGBColor[0.62, 0.62, 0.37]";
			"LightBlue"     plot_3d_clipfill_color= "RGBColor[0.75, 0.85, 0.85]";
			"LightGray"     plot_3d_clipfill_color= "RGBColor[0.66, 0.66, 0.66]";
			"LightSteelBlue"       plot_3d_clipfill_color = "RGBColor[0.56, 0.56, 0.74]";
			"LimeGreen"     plot_3d_clipfill_color= "RGBColor[0.2, 0.8, 0.2]";
			"Magenta"              plot_3d_clipfill_color = "RGBColor[1., 0., 1.]";
			"Maroon"                plot_3d_clipfill_color= "RGBColor[0.56, 0.14, 0.42]";
			"MidnightBlue"  plot_3d_clipfill_color= "RGBColor[0.18, 0.18, 0.31]";
			"Navy"         plot_3d_clipfill_color = "RGBColor[0.14, 0.14, 0.56]";
			"NavyBlue"      plot_3d_clipfill_color= "RGBColor[0.14, 0.14, 0.56]";
			"Orange"               plot_3d_clipfill_color = "RGBColor[0.8, 0.2, 0.2]";
			"OrangeRed"     plot_3d_clipfill_color= "RGBColor[1., 0., 0.5]";
			"Orchid"                plot_3d_clipfill_color= "RGBColor[0.86, 0.44, 0.86]";
			"PaleGreen"    plot_3d_clipfill_color = "RGBColor[0.56, 0.74, 0.56]";
			"Peach"         plot_3d_clipfill_color= "RGBColor[0.44, 0.26, 0.26]";
			"Pink"         plot_3d_clipfill_color = "RGBColor[0.74, 0.56, 0.56]";
			"Plum"          plot_3d_clipfill_color= "RGBColor[0.92, 0.68, 0.92]";
			"PrussianBlue"  plot_3d_clipfill_color= "RGBColor[0.18, 0.18, 0.31]";
			"Purple"                plot_3d_clipfill_color= "RGBColor[0.31, 0.18, 0.31]";
			"Red"		plot_3d_clipfill_color="RGBColor[1,0,0]";
			"Salmon "              plot_3d_clipfill_color = "RGBColor[0.44, 0.26, 0.26]";
			"SandyBrown"    plot_3d_clipfill_color= "RGBColor[0.96, 0.64, 0.38]";
			"SeaGreen"     plot_3d_clipfill_color = "RGBColor[0.14, 0.56, 0.42]";
			"Sienna"               plot_3d_clipfill_color = "RGBColor[0.56, 0.42, 0.14]";
			"SkyBlue "        plot_3d_clipfill_color = "RGBColor[0.2, 0.6, 0.8]";
			"SlateBlue"    plot_3d_clipfill_color = "RGBColor[0., 0.5, 1.]";
			"SpringGreen"   plot_3d_clipfill_color= "RGBColor[0., 1., 0.5]";
			"SteelBlue"     plot_3d_clipfill_color= "RGBColor[0.14, 0.42, 0.56]";
			"Thistle "             plot_3d_clipfill_color = "RGBColor[0.85, 0.75, 0.85]";
			"Turquoise"     plot_3d_clipfill_color= "RGBColor[0.68, 0.92, 0.92]";
			"Violet"                plot_3d_clipfill_color= "RGBColor[0.31, 0.18, 0.31]";
			"VioletRed"     plot_3d_clipfill_color= "RGBColor[0.8, 0.2, 0.6]";
			"Wheat"       plot_3d_clipfill_color = "RGBColor[0.85, 0.85, 0.75]";
			"White"       plot_3d_clipfill_color = "RGBColor[1., 1., 1.]";
			"Yellow"	plot_3d_clipfill_color="RGBColor[1,1,0]";
			"YellowBrown"  plot_3d_clipfill_color = "RGBColor[0.86, 0.58, 0.44]";
			"YellowGreen"  plot_3d_clipfill_color = "RGBColor[0.6, 0.8, 0.2]";
		end_menu		
		choice plot_3d_framed_choice
			at 5 405
			label "(s)Framed       :"
			display horizontal
			"False " nothing;
			"True" plot_3d_framed="True"
		end_choice
		choice plot_3d_hiddsurf_choice
			at 5 430
			label "   HiddenSurface:"
			display horizontal
			"True " nothing;
			"False" plot_3d_hiddsurf="False";
		end_choice
		choice plot_3d_lighting_choice
			at 5 455
			label "(s)Lighting     :"
			display horizontal
			"False " nothing;
			"True" plot_3d_lighting="True";
		end_choice
		choice plot_3d_mesh_choice
			at 5 480
			label "   Mesh         :"
			display horizontal
			"True " nothing;
			"False" plot_3d_mesh="False";
		end_choice
		choice plot_3d_plotcolor_choice
			at 5 505 
			label "(s)PlotColor    :"
			display horizontal
			"True " nothing;
			"False" plot_3d_plotcolor="False";
		end_choice 
		choice plot_3d_plotlabel_choice
			at 5 530
			label "(s)PlotLabel    :"
			display horizontal
			"None " nothing;
			"Manual" nothing;
		end_choice
		text plot_3d_plotlabel
			at 550 530
			label "PlotLabel  :"
			display 20
			action nothing;
		end_text
		choice plot_3d_plotpoints_choice
			at 5 555
			label "   PlotPoints   :"
			display horizontal
			"Default " nothing;
			"Manual" nothing;
	 	end_choice
		text plot_3d_plotpoints
			at 550 555
			label "PlotPoints :"
			display 20
			action nothing;
		end_text
		choice plot_3d_plotrange_choice
			at 5 580
			label "(s)PlotRange    :"
			display horizontal
			"Default " nothing;
			"Manual" nothing;
		end_choice
		button
			at 5 605
			normal "Clear last Z min" plot_3d_zmin="";
	 	end_button 
		text plot_3d_zmin
			at 250 605
			display 40  label"(Optional) Z min:"      
		end_text
		button
			at 5 635 normal "Clear last Z max" plot_3d_zmax="";
		end_button
		text plot_3d_zmax
			at 250 635 display 40 label"(Optional) Z max:"
		end_text
		choice plot_3d_shading_choice
			at 5 665 label "(s)Shading      :" display horizontal
			"True " nothing; "False" plot_3d_shading="False";
		end_choice
		choice plot_3d_viewpoint_choice
			at 5 690 label "(s)ViewPoint    :" display horizontal
			"Default " nothing; "Manual" nothing; 
		end_choice
		menu at 750 660 "Select Viewpoint"
		"Default" nothing;
		"" nothing;
		"" nothing;
		"" nothing;
		"Directly in front" {plot_3d_viewpoint="{0,-2,0}";}
		"In front and up" {plot_3d_viewpoint="{0,-2,1.5}";}
		"In front and UP" {plot_3d_viewpoint="{0,-2,2.5}";}
		"In front and below" {plot_3d_viewpoint="{0,-2,-1.5}";}
		"In front and BELOW" {plot_3d_viewpoint="{0,-2,-2.5}";}
		"Front right-hand corner" {plot_3d_viewpoint="{2,-2,0}";}
		"Front right-hand corner and up" {plot_3d_viewpoint="{2,-2,1.5}";}
		"Front right-hand corner and UP" {plot_3d_viewpoint="{2,-2,2.5}";}
		"Front right-hand corner and below" {plot_3d_viewpoint="{2,-2,-1.5}";}
		"Front right-hand corner and BELOW" {plot_3d_viewpoint="{2,-2,-2.5}";}
		"Front left-hand corner" {plot_3d_viewpoint="{-2,-2,0}";}
		"Front left-hand corner and up" {plot_3d_viewpoint="{-2,-2,1.5}";}
		"Front left-hand corner and UP" {plot_3d_viewpoint="{-2,-2,2.5}";}
		"Front left-hand corner and below" {plot_3d_viewpoint="{-2,-2,-1.5}";}
		"Front left-hand corner and BELOW" {plot_3d_viewpoint="{-2,-2,-2.5}";}
		"Right-hand side" {plot_3d_viewpoint="{2,0,0}";}
		"Right-hand side and up" {plot_3d_viewpoint="{2,0,1.5}";}
		"Right-hand side and UP" {plot_3d_viewpoint="{2,0,2.5}";}
		"Right-hand side and below" {plot_3d_viewpoint="{2,0,-1.5}";}
		"Right-hand side and BELOW" {plot_3d_viewpoint="{2,0,-2.5}";}
		"Left-hand side" {plot_3d_viewpoint="{-2,0,0}";}
		"Left-hand side and up" {plot_3d_viewpoint="{-2,0,1.5}";}
		"Left-hand side and UP" {plot_3d_viewpoint="{-2,0,2.5}";}
		"Left-hand side and below" {plot_3d_viewpoint="{-2,0,-1.5}";}
		"Left-hand side and BELOW" {plot_3d_viewpoint="{-2,0,-2.5}";}
		"Directly behind" {plot_3d_viewpoint="{0,2,0}";}
		"Behind and up" {plot_3d_viewpoint="{0,2,1.5}";}
		"Behind and UP" {plot_3d_viewpoint="{0,2,2.5}";}
		"Behind and below" {plot_3d_viewpoint="{0,2,-1.5}";}
		"Behind and BELOW" {plot_3d_viewpoint="{0,2,-2.5}";}
		"Back right-hand corner" {plot_3d_viewpoint="{2,2,0}";}
		"Back right-hand corner and up" {plot_3d_viewpoint="{2,2,1.5}";}
		"Back right-hand corner and UP" {plot_3d_viewpoint="{2,2,2.5}";}
		"Back right-hand corner and below" {plot_3d_viewpoint="{2,2,-1.5}";}
		"Back right-hand corner and BELOW" {plot_3d_viewpoint="{2,2,-2.5}";}
		"Back left-hand corner" {plot_3d_viewpoint="{-2,2,0}";}
		"Back left-hand corner and up" {plot_3d_viewpoint="{-2,2,1.5}";}
		"Back left-hand corner and UP" {plot_3d_viewpoint="{-2,2,2.5}";}
		"Back left-hand corner and below" {plot_3d_viewpoint="{-2,2,-1.5}";}
		"Back left-hand corner and BELOW" {plot_3d_viewpoint="{-2,2,-2.5}";}
		"" nothing;
		"" nothing;
		"Directly above" {plot_3d_viewpoint="{0,0,2}";}
		"Directly below" {plot_3d_viewpoint="{0,0,-2}";}
		end_menu
		text plot_3d_viewpoint
			at 550 690  display 20 label "ViewPoint  :"
		end_text
		choice plot_3d_printplot_choice
			at 5 715 label "(s)Print Plot   :" display horizontal
			"No " nothing; "Yes" nothing;             
		end_choice
		choice plot_3d_func_choice
		      	at 550 715 label "Redraw ?   :"  display cycle "No " nothing; "Yes" nothing;
		end_choice
		menu at 750 715 "Plot using:" "Plot3D" {plot3d_flag="Plot3D";} 
						"ListPlot3D" {plot3d_flag="ListPlot3D";}
		end_menu
		choice plot_3d_ticks_choice at 5 740 label "(s)Ticks        :" display horizontal
			"Default " nothing; "None" nothing;
		end_choice
	end_gadgets
end_dialog
dialog plot_plot_box
	at 45 90
	label "P l o t T o o l -- Plot"
/*Variable*/	gadgets font"/usr/lib/fonts/fixedwidthfonts/cour.r.18"
		button	normal "Clear last function"  plot_plot_func=""; end_button
		button  at 265 5 normal "Clear last min" plot_plot_x_min=""; end_button
		button 	at 523 5 normal "Clear last max" plot_plot_x_max=""; end_button
		text plot_plot_func	at 5 40 display 55	label"Function:" action nothing; end_text
		text plot_plot_x_min	at 5 73 display 55	label"Min     :" action nothing; end_text
		text plot_plot_x_max	at 5 106 display 55 	label"Max     :" action nothing; end_text
		text plot_var at 50 150 display 3 label "Plot wrt var <x>:" end_text
		choice  plot_plot_func_choice  at 300 150 label "Redraw LAST using Show?: "   display horizontal
			"No "  nothing; "Yes" nothing; end_choice
		label at 265 195 "Options for P L O T" end_label
		button 	at 265 625 "Reset Options" {
			plot_plot_func_choice=0;
			plot_plot_asp_ratio_choice=0;plot_plot_asp_ratio_no="";plot_plot_axes_choice=0;
			plot_plot_axes_no="";plot_plot_axes_label_choice=0;plot_plot_axes_label="";
			plot_plot_framed_choice=0;plot_plot_maxbend_choice=0;plot_plot_maxbend="";
			plot_plot_plotdivision_choice=0;plot_plot_plotdivision_no="";plot_plot_plotlabel_choice=0;
			plot_plot_plotlabel="";plot_plot_plotpoints_choice=0;plot_plot_plotpoints="";
			plot_plot_plotrange_choice=0;plot_plot_plotrange_no="";plot_plot_plotstyle_choice=0;
			plot_plot_ticks_choice=0;plot_plot_ticks_no="";plot_plot_printplot_choice=0;
			plotstyle_color_choice=0; plotstyle_color="GrayLevel[0]";plot_flag="";
			plot_flag_choice=0;plot_var="";plot_plot_plotstyle_choice=0;plotstyle_1="";plotstyle_2="";
			plotstyle_3="";background="";plotstyle_text="";} 
		end_button
		button  at 523 625 "Return to Main Menu" {remove plot_plot_box;}
		end_button	
		choice plot_plot_asp_ratio_choice  at 5 260 display cycle label "(s)AspectRatio : "  
		"Default" nothing; "Automatic" plot_plot_asp_ratio="Automatic"; "Manual" nothing; end_choice
		text plot_plot_asp_ratio_no  display 20 at 340 260 label"AspectRatio :" end_text
		choice plot_plot_axes_choice  at 5 290 display cycle label "(s)Axes        : "  "Default"  nothing; 
			"None" plot_plot_axes="None"; "Manual" nothing; end_choice
		text plot_plot_axes_no at 340 290 display 20 label "Axes        :" end_text
		choice plot_plot_axes_label_choice  at 5 320  display cycle label "(s)AxesLabel   : "  "Default"  nothing;
			"Manual" nothing; end_choice
		text plot_plot_axes_label at 340 320 display 20 label "Label       :" end_text
		choice plot_plot_framed_choice  at 5 350 display cycle 
		label "(s)Framed      : "  "Default" nothing; "True" nothing;	end_choice
		choice plot_plot_maxbend_choice at 5 380 display cycle label "   MaxBend     : "  
			"Default" nothing;  "Manual" nothing;	end_choice
		text plot_plot_maxbend at 340 380  display 20 label "MaxBend     :"  end_text
		choice plot_plot_plotdivision_choice at 5 410 display cycle label "   PlotDivision: " 
			"Default" nothing; "Manual" nothing; end_choice
		text plot_plot_plotdivision_no at 340 410 display 20 label "PlotDivision:" end_text
		choice plot_plot_plotlabel_choice  at 5 440 display cycle label "(s)PlotLabel   : "  "Default" nothing;
			"Manual" nothing; end_choice
		text plot_plot_plotlabel  at 340 440 display 20 label "PlotLabel   :" end_text
		choice plot_plot_plotpoints_choice at 5 470 display cycle label "   PlotPoints  : " "Default" nothing;
			"Manual" nothing; end_choice
		text plot_plot_plotpoints at 340 470 display 20 label"PlotPoints  :" end_text
		choice plot_plot_plotrange_choice at 5 500 display cycle label "(s)PlotRange   : " "Default" nothing;
			"All" plot_plot_plotrange="All"; "Manual" nothing; end_choice
		text plot_plot_plotrange_no at 340 500 display 20 label "PlotRange   :" end_text
		choice plot_plot_plotstyle_choice at 5 530 display cycle label "   PlotStyle   : " 
		"Default" nothing;"Manual" popup plotstyle_dialog_box; end_choice	
			choice plot_plot_ticks_choice at 5 560 display cycle label "(s)Ticks       : " "Default" nothing; 
			"None" plot_plot_ticks="None"; "Manual" nothing; end_choice
		text plot_plot_ticks_no at 340 560 display 20 label "Ticks       :" end_text
		choice plot_plot_printplot_choice at 5 590 display horizontal label "(s)Print Plot  : " "No " nothing;
			"Yes" nothing; end_choice	
		button at 5 625 normal "Reset All"  { 
			plot_plot_func="";plot_plot_x_min="";plot_plot_x_max="";plot_plot_func_choice=0;
			plot_plot_asp_ratio_choice=0;plot_plot_asp_ratio_no="";plot_plot_axes_choice=0;
			plot_plot_axes_no="";plot_plot_axes_label_choice=0;plot_plot_axes_label="";
			plot_plot_framed_choice=0;plot_plot_maxbend_choice=0;plot_plot_maxbend="";
			plot_plot_plotdivision_choice=0;plot_plot_plotdivision_no="";plot_plot_plotlabel_choice=0;
			plot_plot_plotlabel="";plot_plot_plotpoints_choice=0;plot_plot_plotpoints="";
			plot_plot_plotrange_choice=0;plot_plot_plotrange_no="";plot_plot_plotstyle_choice=0;
			plot_plot_ticks_choice=0;plot_plot_ticks_no="";plot_plot_printplot_choice=0;
			plotstyle_color_choice=0; plotstyle_color="GrayLevel[0]";plot_flag="";
			plot_flag_choice=0;plot_var="";plot_plot_plotstyle_choice=0;plotstyle_1="";
			plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";}  end_button
		button 	at 523 590 "Plot" {
			if(plot_plot_func=="" || plot_plot_x_min=="" || plot_plot_x_max=="") beep;
			else 
			{remove plot_plot_box;
			if(plot_plot_printplot_choice==1){ send format("LaserPrint[");}
			if(plot_plot_func_choice==1){send format("Show[%%");}
			if(plot_plot_func_choice==0 && plot_flag_choice==0){
				send format("Plot[{%s},{",plot_plot_func);
					if(plot_var==""){send format("x");}
					else send format("%s",plot_var);
				send format(",%s,%s}",plot_plot_x_min,plot_plot_x_max);}
				else if(plot_plot_func_choice==0 && plot_flag_choice!=0){
				send format("%sPlot[%s,{",plot_flag,plot_plot_func);
					if(plot_var==""){send format("x");}
					else send format("%s",plot_var);
				send format(",%s,%s}",plot_plot_x_min,plot_plot_x_max);}
			if(plot_plot_asp_ratio_choice==1)  send format(",AspectRatio->%s",plot_plot_asp_ratio);
				else if(plot_plot_asp_ratio_choice==2 && plot_plot_asp_ratio_no!="")
					  send format(",AspectRatio->%s",plot_plot_asp_ratio_no);
			if(plot_plot_axes_choice==1) send format(",Axes->%s",plot_plot_axes);
				else if(plot_plot_axes_choice==2 && plot_plot_axes_no!="") 
					send format(",Axes->%s",plot_plot_axes_no);
			if(plot_plot_axes_label_choice==1 && plot_plot_axes_label!="")
					 send format(",AxesLabel->%s",plot_plot_axes_label);
			if(plot_plot_framed_choice==1) send format(",Framed->True");
			if(plot_plot_plotstyle_choice==1) {
					if(plotstyle_text!="" && plot_plot_func_choice==0){
						send format(",PlotStyle->%s",plotstyle_text);}
					if(background!=""){
						send format(",Background->%s",background);}
					if(!(plotstyle_1=="" && plotstyle_2=="" && plotstyle_3=="")){
						send format(",Prolog->{");
						if(plotstyle_1!=""){
							send format("%s",plotstyle_1);
							plotstyle_first=1;}
						if(plotstyle_2!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_2);plotstyle_first=0;}
							else
								send format("%s",plotstyle_2);plotstyle_first=1;
						}
						if(plotstyle_3!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_3);plotstyle_first=0;}
							else
								send format("%s",plotstyle_3);plotstyle_first=1;
						}
						send format("}");
					}
					plotstyle_first=0;
				}			
			{if(plot_plot_func_choice==0){ if(plot_plot_maxbend_choice==1 && plot_plot_maxbend!="") send 
				format(",MaxBend->%s",plot_plot_maxbend);
				if(plot_plot_plotdivision_choice==1 && plot_plot_plotdivision_no!="")
					 send format(",PlotDivision->%s",plot_plot_plotdivision_no);
				if(plot_plot_plotlabel_choice==1 && plot_plot_plotlabel!="")
					 send format(",PlotLabel->\"%s\"",plot_plot_plotlabel);
				if(plot_plot_plotpoints_choice==1 && plot_plot_plotpoints!="") 
					send format(",PlotPoints->%s",plot_plot_plotpoints);
				if(plot_plot_plotrange_choice==1) send format(",PlotRange->%s",
					plot_plot_plotrange); else
				if(plot_plot_plotrange_choice==2 && plot_plot_plotrange_no!="") 
					send format(",PlotRange->%s",plot_plot_plotrange_no);
				if(plot_plot_ticks_choice==1) send format(",Ticks->%s",plot_plot_ticks); else
				if(plot_plot_ticks_choice==2 && plot_plot_ticks_no!="")
				 send format(",Ticks->%s",plot_plot_ticks_no);
			} } if(plot_plot_func_choice==1){
			if(plot_plot_plotlabel_choice==1 && plot_plot_plotlabel!="") 
					send format(",PlotLabel->\"%s\"",plot_plot_plotlabel);
			if(plot_plot_plotrange_choice==1) send format(",PlotRange->%s",
					plot_plot_plotrange); else
			if(plot_plot_plotrange_choice==2 && plot_plot_plotrange_no!="")
					 send format(",PlotRange->%s",plot_plot_plotrange_no);
			if(plot_plot_ticks_choice==1) send format(",Ticks->%s",plot_plot_ticks); else
				if(plot_plot_ticks_choice==2 && plot_plot_ticks_no!="")
					 send format(",Ticks->%s",plot_plot_ticks_no);
			}
			if(plot_plot_printplot_choice==0) send format("]\n"); else send format("]]\n");
			plot_plot_func_choice=0; plot_plot_printplot_choice=0;} } end_button
		label at 5 655
		"___________________________________________________________________" end_label
		label at 5 675
		"SPECIAL OPTIONS" end_label
		choice plot_flag_choice at 5 705 display horizontal label"Plot with options using: " 
			"Plot " nothing;"LogLogPlot " plot_flag="LogLog";
			"LogPlot " plot_flag="Log"; "PolarPlot" plot_flag="Polar"; end_choice
		label at 5 735
		"___________________________________________________________________" end_label			
	end_gadgets
end_dialog
dialog param_plot3d_box
	at 85 90
	size 70 by 90 characters
	label "P l o t T o o l -- ParametricPlot3D"
/*Variable*/	gadgets font"/usr/lib/fonts/fixedwidthfonts/cour.r.18"
		button normal "Reset All" {param_plot3d_xfunc=""; param_plot3d_yfunc="";
			param_plot3d_zfunc=""; param_plot3d_var1=""; param_plot3d_var2="";
			param_plot3d_var1_min=""; param_plot3d_var1_max=""; param_plot3d_var2_min="";
			param_plot3d_var2_max="";param_plot3d_var1_int="";param_plot3d_var2_int="";
			param_plot3d_asp_ratio_choice=0;param_plot3d_asp_ratio_no="";
			param_plot3d_boxratios_choice=0;param_plot3d_box_ratio_no="";param_plot3d_boxed_choice=0;
			param_plot3d_framed_choice=0;param_plot3d_lighting_choice=0;
			param_plot3d_plotcolor_choice=0;param_plot3d_plotlabel_choice=0;
			param_plot3d_plotlabel="";
			param_plot3d_plotrange_choice=0;param_plot3d_zmin="";param_plot3d_zmax="";
			param_plot3d_shading_choice=0;param_plot3d_viewpoint_choice=0;param_plot3d_viewpoint="";
			param_plot3d_viewpoint_box_choice=0;param_plot3d_printplot_choice=0;
			param_plot3d_func_choice=0;
			param_plot3d_flag="ParametricPlot3D";param_plot3d_ticks_choice=0;	
			} end_button
		button normal "Reset Options" {param_plot3d_asp_ratio_choice=0;param_plot3d_asp_ratio_no="";
			param_plot3d_boxratios_choice=0;param_plot3d_box_ratio_no="";param_plot3d_boxed_choice=0;
			param_plot3d_framed_choice=0;param_plot3d_lighting_choice=0;
			param_plot3d_plotcolor_choice=0;param_plot3d_plotlabel_choice=0;
			param_plot3d_plotlabel="";
			param_plot3d_plotrange_choice=0;param_plot3d_zmin="";param_plot3d_zmax="";
			param_plot3d_shading_choice=0;param_plot3d_viewpoint_choice=0;param_plot3d_viewpoint="";
			param_plot3d_viewpoint_box_choice=0;param_plot3d_printplot_choice=0;
			param_plot3d_func_choice=0;
			param_plot3d_flag="ParametricPlot3D";param_plot3d_ticks_choice=0;	
			} 							
		end_button
		button normal "Return to Main Menu" {remove param_plot3d_box;} end_button
		button normal "Plot" {
			if(param_plot3d_flag=="ParametricPlot3D" || param_plot3d_flag=="PointParametricPlot3D"){
					if(param_plot3d_xfunc=="" || param_plot3d_yfunc=="" || param_plot3d_zfunc=="" ||
					param_plot3d_var1_min=="" || param_plot3d_var1_max=="" || 
					param_plot3d_var2_min=="" || param_plot3d_var2_max=="" || 
					param_plot3d_var1_int=="" || param_plot3d_var2_int=="" || 
					param_plot3d_loader!="") beep_flag=1;
			}
			if(param_plot3d_flag=="SpaceCurve" || param_plot3d_flag=="PointSpaceCurve"){
					if(param_plot3d_xfunc=="" || param_plot3d_yfunc=="" || param_plot3d_zfunc=="" ||
					param_plot3d_var1_min=="" || param_plot3d_var1_max=="" ||
					param_plot3d_var1_int=="" || param_plot3d_loader!="") beep_flag=1;
			}
			if(param_plot3d_flag=="SphericalPlot3D" || param_plot3d_flag=="CylindricalPlot3D"){
					if(param_plot3d_xfunc=="" || param_plot3d_var1_min=="" || 
					param_plot3d_var1_max=="" || 
					param_plot3d_var2_min=="" || param_plot3d_var2_max=="" || 
					param_plot3d_var1_int=="" || param_plot3d_var2_int=="" || 
					param_plot3d_loader!="") beep_flag=1;
			}
			if(beep_flag==1){beep_flag=0;beep;}
			else
			{remove param_plot3d_box;
			if(param_plot3d_var1==""){param_plot3d_var1="u";}
			if(param_plot3d_var2==""){param_plot3d_var2="v";}
			if(param_plot3d_printplot_choice==1)
				send format("LaserPrint[");
			if(param_plot3d_func_choice==1)
				send format("Show[%%");
			else	{send format("%s[",param_plot3d_flag);
				if(param_plot3d_flag=="SpaceCurve" || param_plot3d_flag=="PointSpaceCurve"){
					send format("{%s,%s,%s},{%s,%s,%s,%s}",param_plot3d_xfunc,
					param_plot3d_yfunc,param_plot3d_zfunc,param_plot3d_var1,param_plot3d_var1_min,
					param_plot3d_var1_max,param_plot3d_var1_int);}
				if(param_plot3d_flag=="SphericalPlot3D" || param_plot3d_flag=="CylindricalPlot3D"){
					send format("%s,{%s,%s,%s,%s},{%s,%s,%s,%s}",param_plot3d_xfunc,
					param_plot3d_var1,param_plot3d_var1_min,
					param_plot3d_var1_max,param_plot3d_var1_int,param_plot3d_var2,
					param_plot3d_var2_min,param_plot3d_var2_max,param_plot3d_var2_int);}
				else 
				if(param_plot3d_flag=="ParametricPlot3D" || param_plot3d_flag=="PointParametricPlot3D"){
				send format("{%s,%s,%s},{%s,%s,%s,%s},{%s,%s,%s,%s}",
				param_plot3d_xfunc,
				param_plot3d_yfunc,param_plot3d_zfunc,param_plot3d_var1,param_plot3d_var1_min,
				param_plot3d_var1_max,param_plot3d_var1_int,param_plot3d_var2,
				param_plot3d_var2_min,param_plot3d_var2_max,param_plot3d_var2_int);}}
			if(param_plot3d_asp_ratio_choice!=0){
				if(param_plot3d_asp_ratio_choice==1){
				send format(",AspectRatio->%s",param_plot3d_asp_ratio);}
				else if(param_plot3d_asp_ratio_no!=""){
				send format(",AspectRatio->%s",param_plot3d_asp_ratio_no);
				}}
			if(param_plot3d_boxratios_choice!=0 && param_plot3d_box_ratio_no!=""){
				send format(",BoxRatios->%s",param_plot3d_box_ratio_no);}
			if(param_plot3d_boxed_choice!=0){
				send format(",Boxed->%s",param_plot3d_boxed);}
			if(param_plot3d_framed_choice!=0){
				send format(",Framed->%s",param_plot3d_framed);}
			if(param_plot3d_lighting_choice!=0){
				send format(",Lighting->%s",param_plot3d_lighting);}
			if(param_plot3d_plotcolor_choice!=0){
				send format(",PlotColor->%s",param_plot3d_plotcolor);}
			if(param_plot3d_plotlabel_choice!=0 && param_plot3d_plotlabel!=""){
				send format(",PlotLabel->\"%s\"",param_plot3d_plotlabel);}
			if(param_plot3d_plotrange_choice!=0){
				if(param_plot3d_zmin!="" && param_plot3d_zmax!=""){
				send format(",PlotRange->{%s,%s}",param_plot3d_zmin,param_plot3d_zmax);}}
			if(param_plot3d_shading_choice!=0){
				send format(",Shading->%s",param_plot3d_shading);}
			if(param_plot3d_viewpoint_choice!=0 && param_plot3d_viewpoint!=""){
				send format(",ViewPoint->%s",param_plot3d_viewpoint);}
			if(param_plot3d_ticks_choice!=0){
				send format(",Ticks->None");}
			if(param_plot3d_printplot_choice!=0){
				send format("]]\n");}
			else send format("]\n");
			param_plot3d_printplot_choice=0;param_plot3d_func_choice=0;}}
			end_button

		button  at 769 40 normal  "Clear last X func" {param_plot3d_xfunc="";} end_button
		button  at 769 70 normal  "Clear last Y func" {param_plot3d_yfunc="";} end_button
		button  at 769 100 normal  "Clear last Z func" {param_plot3d_zfunc="";} end_button
		text param_plot3d_xfunc at 5 45 display 47 label     "        X function:" end_text
		text param_plot3d_yfunc at 5 75 display 47 label     "(S/CP3D)Y function:" end_text	
		text param_plot3d_zfunc at 5 105 display 47 label    "(S/CP3D)Z function:" end_text
		text param_plot3d_var1 at 30 135 display 5 label "Plot with respect to var 1 <u>:" end_text
		text param_plot3d_var2 at 465 135 display 5 label "(SC,PSC) Plot with respect to var 2 <v>:" end_text
		text param_plot3d_var1_min at 5 165 display 47 label "        Var 1 min :" end_text
		text param_plot3d_var1_max at 5 195 display 47 label "        Var 1 max :" end_text
		text param_plot3d_var1_int at 5 225 display 47 label "        Interval 1:" end_text
		text param_plot3d_var2_min at 5 255 display 47 label "(SC,PSC)Var 2 min :" end_text
		text param_plot3d_var2_max at 5 285 display 47 label "(SC,PSC)Var 2 max :" end_text
		text param_plot3d_var2_int at 5 315 display 47 label "(SC,PSC)Interval 2:" end_text
		button at 769 160 normal "Clear last V1 min" {param_plot3d_var1_min="";} end_button
		button at 769 190 normal "Clear last V1 max" {param_plot3d_var1_max="";} end_button
		button at 769 220 normal "Clear last intrvl" {param_plot3d_var1_int="";} end_button
		button at 769 250 normal "Clear last V2 min" {param_plot3d_var2_min="";} end_button
		button at 769 280 normal "Clear last V2 max" {param_plot3d_var2_max="";} end_button
		button at 769 310 normal "Clear last intrvl" {param_plot3d_var2_int="";} end_button
		label at 235 340 "Options for   P A R A M E T R I C   P L O T   3D" end_label

		choice param_plot3d_asp_ratio_choice
		at 5 370		
		label "(s)AspectRatio  :"
		display horizontal
			"Default " nothing;
			"Automatic " param_plot3d_asp_ratio="Automatic";
			"Manual"nothing;
		end_choice
		text param_plot3d_asp_ratio_no
			at 550 370		
			display 20 
			label "AspectRatio:"
			action nothing;
		end_text
		choice param_plot3d_boxratios_choice
			at 5 395			
			label "(s)BoxRatios    :"
			display horizontal
			"Default " nothing;
			"Manual" nothing;
		end_choice
		text param_plot3d_box_ratio_no
			at	 550 395		
			label "BoxRatios  :"
			display 20
			action nothing;
		end_text
		choice param_plot3d_boxed_choice
			at 5 420			
			label "(s)Boxed        :"
			display horizontal
			"True " nothing;
			"False" param_plot3d_boxed="False";
		end_choice
		choice param_plot3d_framed_choice
			at 5 445
			label "(s)Framed       :"
			display horizontal
			"False " nothing;
			"True" param_plot3d_framed="True"
		end_choice
		choice param_plot3d_lighting_choice
			at 5 470
			label "(s)Lighting     :"
			display horizontal
			"False " nothing;
			"True" param_plot3d_lighting="True";
		end_choice
		choice param_plot3d_plotcolor_choice
			at 5 495
			label "(s)PlotColor    :"
			display horizontal
			"True " nothing;
			"False" param_plot3d_plotcolor="False";
		end_choice 
		choice param_plot3d_plotlabel_choice
			at 5 520
			label "(s)PlotLabel    :"
			display horizontal
			"None " nothing;
			"Manual" nothing;
		end_choice
		text param_plot3d_plotlabel
			at 550 520
			label "PlotLabel  :"
			display 20
			action nothing;
		end_text
		choice param_plot3d_plotrange_choice
			at 5 545
			label "(s)PlotRange    :"
			display horizontal
			"Default " nothing;
			"Manual" nothing;
		end_choice
		button
			at 5 570
			normal "Clear last Z min" param_plot3d_zmin="";
	 	end_button 
		text param_plot3d_zmin
			at 250 570
			display 40  label"(Optional) Z min:"      
		end_text
		button
			at 5 600 normal "Clear last Z max" param_plot3d_zmax="";
		end_button
		text param_plot3d_zmax
			at 250 600 display 40 label"(Optional) Z max:"
		end_text
		choice param_plot3d_shading_choice
			at 5 630 label "(s)Shading      :" display horizontal
			"True " nothing; "False" param_plot3d_shading="False";
		end_choice
		choice param_plot3d_viewpoint_choice
			at 5 655 label "(s)ViewPoint    :" display horizontal
			"Default " nothing;"Manual" nothing; 
		end_choice
		text param_plot3d_viewpoint
			at 550 655 display 20 label "ViewPoint  :"
		end_text
		menu at 769 625 "Select Viewpoint"
		"Default" nothing;
		"" nothing;
		"" nothing;
		"" nothing;
		"Directly in front" {param_plot3d_viewpoint="{0,-2,0}";}
		"In front and up" {param_plot3d_viewpoint="{0,-2,1.5}";}
		"In front and UP" {param_plot3d_viewpoint="{0,-2,2.5}";}
		"In front and below" {param_plot3d_viewpoint="{0,-2,-1.5}";}
		"In front and BELOW" {param_plot3d_viewpoint="{0,-2,-2.5}";}
		"Front right-hand corner" {param_plot3d_viewpoint="{2,-2,0}";}
		"Front right-hand corner and up" {param_plot3d_viewpoint="{2,-2,1.5}";}
		"Front right-hand corner and UP" {param_plot3d_viewpoint="{2,-2,2.5}";}
		"Front right-hand corner and below" {param_plot3d_viewpoint="{2,-2,-1.5}";}
		"Front right-hand corner and BELOW" {param_plot3d_viewpoint="{2,-2,-2.5}";}
		"Front left-hand corner" {param_plot3d_viewpoint="{-2,-2,0}";}
		"Front left-hand corner and up" {param_plot3d_viewpoint="{-2,-2,1.5}";}
		"Front left-hand corner and UP" {param_plot3d_viewpoint="{-2,-2,2.5}";}
		"Front left-hand corner and below" {param_plot3d_viewpoint="{-2,-2,-1.5}";}
		"Front left-hand corner and BELOW" {param_plot3d_viewpoint="{-2,-2,-2.5}";}
		"Right-hand side" {param_plot3d_viewpoint="{2,0,0}";}
		"Right-hand side and up" {param_plot3d_viewpoint="{2,0,1.5}";}
		"Right-hand side and UP" {param_plot3d_viewpoint="{2,0,2.5}";}
		"Right-hand side and below" {param_plot3d_viewpoint="{2,0,-1.5}";}
		"Right-hand side and BELOW" {param_plot3d_viewpoint="{2,0,-2.5}";}
		"Left-hand side" {param_plot3d_viewpoint="{-2,0,0}";}
		"Left-hand side and up" {param_plot3d_viewpoint="{-2,0,1.5}";}
		"Left-hand side and UP" {param_plot3d_viewpoint="{-2,0,2.5}";}
		"Left-hand side and below" {param_plot3d_viewpoint="{-2,0,-1.5}";}
		"Left-hand side and BELOW" {param_plot3d_viewpoint="{-2,0,-2.5}";}
		"Directly behind" {param_plot3d_viewpoint="{0,2,0}";}
		"Behind and up" {param_plot3d_viewpoint="{0,2,1.5}";}
		"Behind and UP" {param_plot3d_viewpoint="{0,2,2.5}";}
		"Behind and below" {param_plot3d_viewpoint="{0,2,-1.5}";}
		"Behind and BELOW" {param_plot3d_viewpoint="{0,2,-2.5}";}
		"Back right-hand corner" {param_plot3d_viewpoint="{2,2,0}";}
		"Back right-hand corner and up" {param_plot3d_viewpoint="{2,2,1.5}";}
		"Back right-hand corner and UP" {param_plot3d_viewpoint="{2,2,2.5}";}
		"Back right-hand corner and below" {param_plot3d_viewpoint="{2,2,-1.5}";}
		"Back right-hand corner and BELOW" {param_plot3d_viewpoint="{2,2,-2.5}";}
		"Back left-hand corner" {param_plot3d_viewpoint="{-2,2,0}";}
		"Back left-hand corner and up" {param_plot3d_viewpoint="{-2,2,1.5}";}
		"Back left-hand corner and UP" {param_plot3d_viewpoint="{-2,2,2.5}";}
		"Back left-hand corner and below" {param_plot3d_viewpoint="{-2,2,-1.5}";}
		"Back left-hand corner and BELOW" {param_plot3d_viewpoint="{-2,2,-2.5}";}
		"" nothing;
		"" nothing;
		"Directly above" {param_plot3d_viewpoint="{0,0,2}";}
		"Directly below" {param_plot3d_viewpoint="{0,0,-2}";}
		end_menu
		choice param_plot3d_printplot_choice
			at 5 680 label "(s)Print Plot   :" display horizontal
			"No " nothing; "Yes" nothing;             
		end_choice
		choice param_plot3d_func_choice
			at 550 680 label "Redraw LAST using Show?:" display horizontal "No " nothing;"Yes" nothing;
		end_choice
		choice param_plot3d_ticks_choice at 5 705 label"(s)Ticks        :" display horizontal "Default " nothing;
			"None" nothing;
		end_choice
		menu at 769 705 "Plot using:" 
			"ParametricPlot3D" {param_plot3d_flag="ParametricPlot3D"}
			"PointParametricPlot3D" {param_plot3d_flag="PointParametricPlot3D"}
			"SpaceCurve" {param_plot3d_flag="SpaceCurve";}
			"PointSpaceCurve" {param_plot3d_flag="PointSpaceCurve"}
			"SphericalPlot3D" {param_plot3d_flag="SphericalPlot3D"}
			"CylindricalPlot3D" {param_plot3d_flag="CylindricalPlot3D"}
		end_menu
		end_gadgets
end_dialog
dialog param_plot_box
	at 100 160 
	size 80 by 50 characters
	label "P l o t T o o l -- ParametricPlot"
/*Variable*/	gadgets font"/usr/lib/fonts/fixedwidthfonts/cour.r.18"
		button	at 5 5 normal "Clear last X function"  param_plot_xfunc=""; end_button
		button 	at 252 5 normal "Clear last Y function" param_plot_yfunc=""; end_button
		button  at 499 5 normal "Clear last min" param_plot_min="";end_button
		button  at 750 5 normal "Clear last max" param_plot_max="";end_button
		text param_plot_xfunc
			at 5 40 display 55
			label"X function:"
		end_text
		text param_plot_yfunc
			at 5 70 display 55
			label"Y function:"
		end_text
		text param_plot_min
			at 5 100 display 55
			label"Minimum   :"
		end_text
		text param_plot_max
			at 5 130 display 55
			label"Maximum   :"
		end_text
		text param_plot_var
			at 250 160 display 5
			label"Plot with respect to variable <t>:"
		end_text
		button at 252 195 normal "Reset Options" {param_plot_func_choice=0;
			param_plot_asp_ratio_choice=0;param_plot_asp_ratio_no="";param_plot_axes_choice=0;
			param_plot_axes_no="";param_plot_axes_label_choice=0;param_plot_axes_label="";
			param_plot_framed_choice=0;param_plot_maxbend_choice=0;param_plot_maxbend="";
			param_plot_plotdivision_choice=0;param_plot_plotdivision_no="";
			param_plot_plotlabel_choice=0;
			param_plot_plotlabel="";param_plot_plotpoints_choice=0;param_plot_plotpoints="";
			param_plot_plotrange_choice=0;param_plot_plotrange_no="";param_plot_plotstyle_choice=0;
			param_plot_ticks_choice=0;param_plot_ticks_no="";param_plot_printplot_choice=0;
			param_plot_plotstyle_choice=0;param_plotstyle_color="GrayLevel[0]";
			plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";} end_button
			
		button at 499 195 normal "Return to Main Menu" remove param_plot_box; end_button
		button at 5 195 normal "Reset All" { 
			param_plot_xfunc="";param_plot_yfunc="";param_plot_var="";
			param_plot_min="";param_plot_max="";param_plot_func_choice=0;
			param_plot_asp_ratio_choice=0;param_plot_asp_ratio_no="";param_plot_axes_choice=0;
			param_plot_axes_no="";param_plot_axes_label_choice=0;param_plot_axes_label="";
			param_plot_framed_choice=0;param_plot_maxbend_choice=0;param_plot_maxbend="";
			param_plot_plotdivision_choice=0;param_plot_plotdivision_no="";
			param_plot_plotlabel_choice=0;
			param_plot_plotlabel="";param_plot_plotpoints_choice=0;param_plot_plotpoints="";
			param_plot_plotrange_choice=0;param_plot_plotrange_no="";param_plot_plotstyle_choice=0;
			param_plot_ticks_choice=0;param_plot_ticks_no="";param_plot_printplot_choice=0;
			param_plot_plotstyle_choice=0;param_plotstyle_color="GrayLevel[0]";
			plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";} end_button
		button at 750 195 normal "Plot" {
			if(param_plot_xfunc=="" || param_plot_yfunc=="" || param_plot_min==""||
				param_plot_max=="") beep;
			else
			{remove param_plot_box;
			if(param_plot_printplot_choice==1){ send format("LaserPrint[");}
			if(param_plot_func_choice==1){send format("Show[%%");}
			if(param_plot_func_choice==0){
				if(param_plot_var==""){param_plot_var="t";}
				send format("ParametricPlot[{%s,%s},{%s,%s,%s}",
				param_plot_xfunc,param_plot_yfunc,param_plot_var,
				param_plot_min,param_plot_max);}
			
			if(param_plot_asp_ratio_choice==1)  send format(",AspectRatio->%s",param_plot_asp_ratio);
				else if(param_plot_asp_ratio_choice==2 && param_plot_asp_ratio_no!="") 
					 send format(",AspectRatio->%s",param_plot_asp_ratio_no);
			if(param_plot_axes_choice==1) send format(",Axes->%s",param_plot_axes);
				else if(param_plot_axes_choice==2 && param_plot_axes_no!="") 
					send format(",Axes->%s",param_plot_axes_no);
			if(param_plot_axes_label_choice==1 && param_plot_axes_label!="") 
					send format(",AxesLabel->%s",param_plot_axes_label);
			if(param_plot_framed_choice==1) send format(",Framed->True");
			if(param_plot_plotstyle_choice==1) {
					if(plotstyle_text!="" && param_plot_func_choice==0){
						send format(",PlotStyle->%s",plotstyle_text);}
					if(background!=""){
						send format(",Background->%s",background);}
					if(!(plotstyle_1=="" && plotstyle_2=="" && plotstyle_3=="")){
						send format(",Prolog->{");
						if(plotstyle_1!=""){
							send format("%s",plotstyle_1);
							plotstyle_first=1;}
						if(plotstyle_2!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_2);plotstyle_first=0;}
							else
								send format("%s",plotstyle_2);plotstyle_first=1;
						}
						if(plotstyle_3!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_3);plotstyle_first=0;}
							else
								send format("%s",plotstyle_3);plotstyle_first=1;
						}
						send format("}");
					}
					plotstyle_first=0;
				}	
			{if(param_plot_func_choice==0){ if(param_plot_maxbend_choice==1 && param_plot_maxbend!="") send 
				format(",MaxBend->%s",param_plot_maxbend);
				if(param_plot_plotdivision_choice==1 && param_plot_plotdivision_no!="") 
					send format(",PlotDivision->%s",param_plot_plotdivision_no);
				if(param_plot_plotlabel_choice==1 && param_plot_plotlabel!="") 
					send format(",PlotLabel->\"%s\"",param_plot_plotlabel);
				if(param_plot_plotpoints_choice==1 && param_plot_plotpoints!="") 
					send format(",PlotPoints->%s",param_plot_plotpoints);
				if(param_plot_plotrange_choice==1) send format(",PlotRange->%s",
					param_plot_plotrange); else
				if(param_plot_plotrange_choice==2 && param_plot_plotrange_no!="") 
					send format(",PlotRange->%s",param_plot_plotrange_no);
				if(param_plot_ticks_choice==1) send format(",Ticks->%s",param_plot_ticks); else
				if(param_plot_ticks_choice==2 && param_plot_ticks_no!="") 
					send format(",Ticks->%s",param_plot_ticks_no);
			} } if(param_plot_func_choice==1){
			if(param_plot_plotlabel_choice==1 && param_plot_plotlabel!="") 
					send format(",PlotLabel->\"%s\"",param_plot_plotlabel);
			if(param_plot_plotrange_choice==1) send format(",PlotRange->%s",
					param_plot_plotrange); else
			if(param_plot_plotrange_choice==2 && param_plot_plotrange_no!="") 
					send format(",PlotRange->%s",param_plot_plotrange_no);
			if(param_plot_ticks_choice==1) send format(",Ticks->%s",param_plot_ticks); else
				if(param_plot_ticks_choice==2 && param_plot_ticks_no!="") 
					send format(",Ticks->%s",param_plot_ticks_no);
			}
			if(param_plot_printplot_choice==0) send format("]\n"); else send format("]]\n");
			param_plot_func_choice=0; param_plot_printplot_choice=0;}} end_button

		label at 250 235 "Options for  P A R A M E T R I C   P L O T" end_label
			
		choice param_plot_asp_ratio_choice  at 5 270 display horizontal label "(s)AspectRatio : "  
		"Default " nothing; "Automatic " param_plot_asp_ratio="Automatic"; "Manual " nothing; end_choice
		text param_plot_asp_ratio_no  display 20 at 550 270 label"AspectRatio :" end_text
		choice param_plot_axes_choice  at 5 300 display horizontal label "(s)Axes        : "  "Default "  nothing; 
			"None " param_plot_axes="None"; "Manual" nothing; end_choice
		text param_plot_axes_no at 550 300 display 20 label "Axes        :" end_text
		choice param_plot_axes_label_choice  at 5 330  display horizontal label "(s)AxesLabel   : "  "Default "  nothing;
			"Manual " nothing; end_choice
		text param_plot_axes_label at 550 330 display 20 label "Label       :" end_text
		choice param_plot_framed_choice  at 5 360 display horizontal 
		label "(s)Framed      : "  "Default " nothing; "True" nothing;	end_choice
		choice param_plot_maxbend_choice at 5 390 display horizontal label "   MaxBend     : "  
			"Default " nothing;  "Manual" nothing;	end_choice
		text param_plot_maxbend at 550 390  display 20 label "MaxBend     :"  end_text
		choice param_plot_plotdivision_choice at 5 420 display horizontal label "   PlotDivision: " 
			"Default " nothing; "Manual" nothing; end_choice
		text param_plot_plotdivision_no at 550 420 display 20 label "PlotDivision:" end_text
		choice param_plot_plotlabel_choice  at 5 450 display horizontal label "(s)PlotLabel   : "  "Default " nothing;
			"Manual" nothing; end_choice
		text param_plot_plotlabel  at 550 450 display 20 label "PlotLabel   :" end_text
		choice param_plot_plotpoints_choice at 5 480 display horizontal label "   PlotPoints  : " "Default " nothing;
			"Manual" nothing; end_choice
		text param_plot_plotpoints at 550 480 display 20 label"PlotPoints  :" end_text
		choice param_plot_plotrange_choice at 5 510 display horizontal label "(s)PlotRange   : " "Default " nothing;
			"All " param_plot_plotrange="All"; "Manual" nothing; end_choice
		text param_plot_plotrange_no at 550 510 display 20 label "PlotRange   :" end_text
		choice param_plot_plotstyle_choice at 5 540 display horizontal label "   PlotStyle   : " 
		"Default " nothing;"Manual" popup plotstyle_dialog_box; end_choice
		choice param_plot_ticks_choice at 5 570 display horizontal label "(s)Ticks       : " "Default " nothing; 
			"None " param_plot_ticks="None"; "Manual" nothing; end_choice
		text param_plot_ticks_no at 550 570 display 20 label "Ticks       :" end_text
		choice param_plot_printplot_choice at 5 600 display horizontal label "(s)Print Plot  : " "No " nothing;
			"Yes" nothing; end_choice	
		choice param_plot_func_choice
			at 550 600 label "Redraw LAST using Show?:" display horizontal "No " nothing; "Yes" nothing;
		end_choice

	end_gadgets
end_dialog
dialog list_plot_box
	at 65 50
	size 80 by 90 characters
	label "P l o t T o o l -- ListPlot"
/*Variable*/	gadgets  font"/usr/lib/fonts/fixedwidthfonts/cour.r.18"
		text list_plot_func 
			at 5 40
			display 40
			label "Function/Table/List:"
		end_text
		button 
			at 493 5 
			normal "Clear last List" list_plot_func="";
		end_button
		button
			at 5 5
			normal "Reset All" {list_plot_func="";
			list_plot_asp_ratio_choice=0;list_plot_asp_ratio_no="";
			list_plot_axes_choice=0;
			list_plot_axes_no="";list_plot_axes_label_choice=0;list_plot_axes_label="";
			list_plot_framed_choice=0;		
			list_plot_plotlabel_choice=0;
			list_plot_plotlabel="";
			list_plot_plotrange_choice=0;list_plot_plotrange_no="";list_plot_plotstyle_choice=0;
			list_plot_ticks_choice=0;list_plot_ticks_no="";list_plot_printplot_choice=0;
			list_plot_plotstyle_choice=0;list_plotstyle_color="GrayLevel[0]";list_plotjoined_choice=0;				list_plot_func_choice=0;list_plot_flag="ListPlot";list_plot_flag_choice=0;
			list_plotjoined_flag=1;plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";
			plotstyle_text="";}
		end_button
		button		
			at 493 375
			normal "Return to Main Menu" remove list_plot_box;
		end_button
		label 
			at 215 75
			"Options for  L I S T   P L O T"
		end_label
		choice list_plot_asp_ratio_choice  at 5 105 display cycle label "(s)AspectRatio : "  
		"Default" nothing; "Automatic" list_plot_asp_ratio="Automatic"; "Manual" nothing; end_choice
		text list_plot_asp_ratio_no  display 20 at 340 105 label"AspectRatio :" end_text
		choice list_plot_axes_choice  at 5 135 display cycle label "(s)Axes        : "  "Default"  nothing;
			"None" list_plot_axes="None"; "Manual" nothing; end_choice
		text list_plot_axes_no at 340 135 display 20 label "Axes        :" end_text
		choice list_plot_axes_label_choice  at 5 165 display cycle label "(s)AxesLabel   : " 
		 "Default"  nothing;"Manual" nothing; end_choice
		text list_plot_axes_label at 340 165 display 20 label "Label       :" end_text
		choice list_plot_framed_choice  at 5 195 display cycle 
		label "(s)Framed      : "  "Default" nothing; "True" nothing;	end_choice
		choice list_plot_plotlabel_choice  at 5 225 display cycle label "(s)PlotLabel   : "
		 "Default" nothing;	"Manual" nothing; end_choice
		choice list_plotjoined_choice at 5 255 display cycle label "   PlotJoined  : "
		"Default" nothing; "True" nothing; end_choice
		text list_plot_plotlabel  at 340 225 display 20 label "PlotLabel   :" end_text
		choice list_plot_plotrange_choice at 5 285 display cycle label "(s)PlotRange   : " 
		"Default" nothing;
			"All" list_plot_plotrange="All"; "Manual" nothing; end_choice
		text list_plot_plotrange_no at 340 285 display 20 label "PlotRange   :" end_text
		choice list_plot_plotstyle_choice at 5 315 display cycle label "   PlotStyle   : " 
		"Default" nothing;"Manual" popup plotstyle_dialog_box; end_choice
		choice list_plot_ticks_choice at 5 345 display cycle label "(s)Ticks       : " "Default" nothing; 
			"None" list_plot_ticks="None"; "Manual" nothing; end_choice
		text list_plot_ticks_no at 340 345 display 20 label "Ticks       :" end_text
		choice list_plot_printplot_choice at 5 375 display horizontal label "(s)Print Plot  : " "No "
		 nothing;
			"Yes" nothing; end_choice	
		choice list_plot_func_choice
			at 5 405 label "Redraw LAST using Show?:" display horizontal "No " nothing;"Yes" nothing;
		end_choice
		button  
			at 250 5
			normal "Reset Options" {
			list_plot_asp_ratio_choice=0;list_plot_asp_ratio_no="";
			list_plot_axes_choice=0;
			list_plot_axes_no="";list_plot_axes_label_choice=0;list_plot_axes_label="";
			list_plot_framed_choice=0;		
			list_plot_plotlabel_choice=0;
			list_plot_plotlabel="";
			list_plot_plotrange_choice=0;list_plot_plotrange_no="";list_plot_plotstyle_choice=0;
			list_plot_ticks_choice=0;list_plot_ticks_no="";list_plot_printplot_choice=0;
			list_plot_plotstyle_choice=0;list_plotstyle_color="GrayLevel[0]";list_plotjoined_choice=0;				list_plot_func_choice=0;list_plot_flag="ListPlot";list_plot_flag_choice=0;
			list_plotjoined_flag=1;plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";
			plotstyle_text="";}
		end_button
		button
			at 493 405
			normal "Plot" {
			if(list_plot_func=="") beep;
			else
			{remove list_plot_box;
			if(list_plot_printplot_choice==1){ send format("LaserPrint[");}
			if(list_plot_func_choice==1){send format("Show[%%");}
			if(list_plot_func_choice==0){send format("%s[%s",list_plot_flag,list_plot_func);}
			if(list_plot_asp_ratio_choice==1)  send format(",AspectRatio->%s",list_plot_asp_ratio);
				else if(list_plot_asp_ratio_choice==2 && list_plot_asp_ratio_no!="") 
					 send format(",AspectRatio->%s",list_plot_asp_ratio_no);
			if(list_plot_axes_choice==1) send format(",Axes->%s",list_plot_axes);
				else if(list_plot_axes_choice==2 && list_plot_axes_no!="") 
				send format(",Axes->%s",list_plot_axes_no);
			if(list_plot_axes_label_choice==1 && list_plot_axes_label!="") 
				send format(",AxesLabel->%s",list_plot_axes_label);
			if(list_plot_framed_choice==1) send format(",Framed->True");
			if(list_plot_plotstyle_choice==1 && list_plotjoined_flag==1){
			if(list_plot_flag!="ListDensityPlot" || list_plot_flag!="ListContourPlot"){			
			if(list_plot_plotstyle_choice==1) {
					if(plotstyle_text!="" && list_plot_func_choice==0){
						send format(",PlotStyle->%s",plotstyle_text);}
					if(background!=""){
						send format(",Background->%s",background);}
					if(!(plotstyle_1=="" && plotstyle_2=="" && plotstyle_3=="")){
						send format(",Prolog->{");
						if(plotstyle_1!=""){
							send format("%s",plotstyle_1);
							plotstyle_first=1;}
						if(plotstyle_2!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_2);plotstyle_first=0;}
							else
								send format("%s",plotstyle_2);plotstyle_first=1;
						}
						if(plotstyle_3!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_3);plotstyle_first=0;}
							else
								send format("%s",plotstyle_3);plotstyle_first=1;
						}
						send format("}");
					}
					plotstyle_first=0;
				}}
			}	
			{if(list_plot_func_choice==0){ 	
				if(list_plotjoined_choice==1 && list_plotjoined_flag==1)										send format(",PlotJoined->True");
				if(list_plot_plotlabel_choice==1 && list_plot_plotlabel!="")
					send format(",PlotLabel->\"%s\"",list_plot_plotlabel);
					if(list_plot_plotrange_choice==1) send format(",PlotRange->%s",
					list_plot_plotrange); else
				if(list_plot_plotrange_choice==2 && list_plot_plotrange_no!="") 
					send format(",PlotRange->%s",list_plot_plotrange_no);
				if(list_plot_ticks_choice==1) send format(",Ticks->%s",list_plot_ticks); else
				if(list_plot_ticks_choice==2 && list_plot_ticks_no!="") 
					send format(",Ticks->%s",list_plot_ticks_no);
			} } if(list_plot_func_choice==1){
			if(list_plot_plotlabel_choice==1 && list_plot_plotlabel!="") send format(",PlotLabel->\"%s\"",
					list_plot_plotlabel);
			if(list_plot_plotrange_choice==1) send format(",PlotRange->%s",
					list_plot_plotrange); else
			if(list_plot_plotrange_choice==2 && list_plot_plotrange_no!="") send format(",PlotRange->%s",
					list_plot_plotrange_no);
			if(list_plot_ticks_choice==1) send format(",Ticks->%s",list_plot_ticks); else
				if(list_plot_ticks_choice==2 && list_plot_ticks_no!="")
				 send format(",Ticks->%s",list_plot_ticks_no);
			}
			if(list_plot_printplot_choice==0) send format("]\n"); else send format("]]\n");
			list_plot_func_choice=0; list_plot_printplot_choice=0;}} 
		end_button
		label at 5 435
		"________________________________________________________________"
		end_label
		label at 5 455
		"SPECIAL OPTIONS"
		end_label
		choice list_plot_flag_choice at 5 485 display vertical label"Plot with options using: "
		"ListPlot" {list_plot_flag="ListPlot";list_plotjoined_flag=1;}
		"ListContourPlot" {list_plot_flag="ListContourPlot";list_plotjoined_flag=0;}
		"ListDensityPlot" {list_plot_flag="ListDensityPlot";list_plotjoined_flag=0;}
		"BarChart " {list_plot_flag="BarChart";list_plotjoined_flag=0;}
		"ErrorListPlot " {list_plot_flag="ErrorListPlot";list_plotjoined_flag=0;}
		"LabeledListPlot " {list_plot_flag="LabeledListPlot";list_plotjoined_flag=0;}
		"LogListPlot " {list_plot_flag="LogListPlot";list_plotjoined_flag=1;}
		"LogLogListPlot " {list_plot_flag="LogLogListPlot";list_plotjoined_flag=1;}
		"MultipleListPlot " {list_plot_flag="MultipleListPlot";list_plotjoined_flag=1;}
		"PieChart " {list_plot_flag="PieChart";list_plotjoined_flag=0;}
		"PolarListPlot " {list_plot_flag="PolarListPlot";list_plotjoined_flag=1;}
		"TextListPlot " {list_plot_flag="TextListPlot";list_plotjoined_flag=0;} end_choice
		label at 5 778
		"________________________________________________________________"
		end_label
/*Variable*/		label at 493 485"            {y1,y2,...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 510"                {Array}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 535"                {Array}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 560"            {y1,y2,...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 585"{{y1,dy1},{y2,dy2},...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 610"       {{x1,y1,t1},...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 635"            {y1,y2,...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 660"            {y1,y2,...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 685"      {list1,list2,...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 710"            {y1,y2,...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 735"            {r1,r2,...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
/*Variable*/		label at 493 760"            {y1,y2,...}":   "/usr/lib/fonts/fixedwidthfonts/cour.b.14" end_label
		end_gadgets
end_dialog
dialog reset_all_confirmer
	gadgets
/*Variable*/		font"/usr/lib/fonts/fixedwidthfonts/gallant.r.19"
		label"Reset which of the following PlotTool commands?" end_label
		button
			normal "Cancel / Done" remove reset_all_confirmer;
		end_button
		button
			normal"Reset Cont/Dens Plot" {
						cont_pl_func="";cont_pl_func_x_min="";
						cont_pl_func_x_max="";cont_pl_func_y_min="";
						cont_pl_func_y_max="";cont_pl_asp_ratio_choice=0;
						cont_pl_asp_ratio_no="";cont_pl_axes_choice=0;
						cont_pl_axes_origin="";cont_pl_axes_label_choice=0;
						cont_pl_axes_label="";cont_pl_cont_levels_choice=0;
						cont_pl_cont_levels="";cont_pl_cont_space_choice=0;
						cont_pl_cont_space="";cont_pl_frame_choice=0;
						cont_pl_plot_label_choice=0;cont_pl_plot_label="";
						cont_pl_plot_range_choice=0;cont_pl_plot_range_no="";
						cont_pl_plot_points_choice=0;cont_pl_plot_points="";
						cont_pl_print_choice=0; cont_pl_func_choice=0;
						density_plot_flag=0;cont_pl_var1="";cont_pl_var2="";
						cont_pl_ticks_choice=0;cont_pl_ticks="";
						plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";
						plotstyle_text="";cont_plot_plotstyle_choice=0;
						}
		end_button
		button 
			normal"Reset List Plot" {list_plot_func="";
			list_plot_asp_ratio_choice=0;list_plot_asp_ratio_no="";
			list_plot_axes_choice=0;
			list_plot_axes_no="";list_plot_axes_label_choice=0;list_plot_axes_label="";
			list_plot_framed_choice=0;		
			list_plot_plotlabel_choice=0;
			list_plot_plotlabel="";
			list_plot_plotrange_choice=0;list_plot_plotrange_no="";list_plot_plotstyle_choice=0;
			list_plot_ticks_choice=0;list_plot_ticks_no="";list_plot_printplot_choice=0;
			list_plot_plotstyle_choice=0;list_plotstyle_color="GrayLevel[0]";list_plotjoined_choice=0;				list_plot_func_choice=0;list_plot_flag="ListPlot";list_plot_flag_choice=0;
			list_plotjoined_flag=1;plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";
			plotstyle_text="";}
		end_button
		button
			normal"Reset Map" {
			map_object="";map_min1="";map_max1="";map_int1="";map_min2="";
			map_max2="";map_int2="";map_asp_ratio_choice=0;
			map_asp_ratio_no="";map_axes_choice=0;
			map_axes_origin="";map_axes_label_choice=0;
			map_axes_label="";map_frame_choice=0;
			map_plot_label_choice=0;map_plot_label="";
			map_plot_range_choice=0;map_plot_range_no="";
			map_plot_points_choice=0;map_plot_points="";
			map_print_choice=0; map_func_choice=0;
			map_flag=0;map_ticks_choice=0;map_ticks="";plotstyle_1="";
			plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";
			map_plot_plotstyle_choice=0;map_function="CartesianMap";}
		end_button
		button
			normal"Reset Parametric" { 
			param_plot_xfunc="";param_plot_yfunc="";param_plot_var="";
			param_plot_min="";param_plot_max="";param_plot_func_choice=0;
			param_plot_asp_ratio_choice=0;param_plot_asp_ratio_no="";param_plot_axes_choice=0;
			param_plot_axes_no="";param_plot_axes_label_choice=0;param_plot_axes_label="";
			param_plot_framed_choice=0;param_plot_maxbend_choice=0;param_plot_maxbend="";
			param_plot_plotdivision_choice=0;param_plot_plotdivision_no="";
			param_plot_plotlabel_choice=0;
			param_plot_plotlabel="";param_plot_plotpoints_choice=0;param_plot_plotpoints="";
			param_plot_plotrange_choice=0;param_plot_plotrange_no="";param_plot_plotstyle_choice=0;
			param_plot_ticks_choice=0;param_plot_ticks_no="";param_plot_printplot_choice=0;
			param_plot_plotstyle_choice=0;param_plotstyle_color="GrayLevel[0]";plotstyle_1="";
			plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";}		
		end_button
		button	
			normal"Reset Parametric3D" {param_plot3d_xfunc=""; param_plot3d_yfunc="";
			param_plot3d_zfunc=""; param_plot3d_var1=""; param_plot3d_var2="";
			param_plot3d_var1_min=""; param_plot3d_var1_max=""; param_plot3d_var2_min="";
			param_plot3d_var2_max="";param_plot3d_var1_int="";param_plot3d_var2_int="";
			param_plot3d_asp_ratio_choice=0;param_plot3d_asp_ratio_no="";
			param_plot3d_boxratios_choice=0;param_plot3d_box_ratio_no="";param_plot3d_boxed_choice=0;
			param_plot3d_framed_choice=0;param_plot3d_lighting_choice=0;
			param_plot3d_plotcolor_choice=0;param_plot3d_plotlabel_choice=0;
			param_plot3d_plotlabel="";
			param_plot3d_plotrange_choice=0;param_plot3d_zmin="";param_plot3d_zmax="";
			param_plot3d_shading_choice=0;param_plot3d_viewpoint_choice=0;param_plot3d_viewpoint="";
			param_plot3d_viewpoint_box_choice=0;param_plot3d_printplot_choice=0;
			param_plot3d_func_choice=0;
			param_plot3d_flag="ParametricPlot3D";param_plot3d_ticks_choice=0;	
			}
		end_button
		button
			normal"Reset Plot" { 
			plot_plot_func="";plot_plot_x_min="";plot_plot_x_max="";plot_plot_func_choice=0;
			plot_plot_asp_ratio_choice=0;plot_plot_asp_ratio_no="";plot_plot_axes_choice=0;
			plot_plot_axes_no="";plot_plot_axes_label_choice=0;plot_plot_axes_label="";
			plot_plot_framed_choice=0;plot_plot_maxbend_choice=0;plot_plot_maxbend="";
			plot_plot_plotdivision_choice=0;plot_plot_plotdivision_no="";plot_plot_plotlabel_choice=0;
			plot_plot_plotlabel="";plot_plot_plotpoints_choice=0;plot_plot_plotpoints="";
			plot_plot_plotrange_choice=0;plot_plot_plotrange_no="";plot_plot_plotstyle_choice=0;
			plot_plot_ticks_choice=0;plot_plot_ticks_no="";plot_plot_printplot_choice=0;
			plotstyle_color_choice=0; plotstyle_color="GrayLevel[0]";plot_flag="";
			plot_flag_choice=0;plot_var="";plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";
			plotstyle_text="";}
		end_button
		button
			normal"Reset Plot3D" {plot_3d_func="";plot_3d_x_min="";plot_3d_x_max="";
			plot_3d_y_min="";plot_3d_y_max="";plot_3d_shade_func="";plot_3d_amb_choice=0;
			plot_3d_amb_color="GrayLevel[0]";                 
			plot_3d_asp_ratio_choice=0;plot_3d_asp_ratio_no="";
			plot_3d_boxratios_choice=0;plot_3d_box_ratio_no="";plot_3d_boxed_choice=0;
			plot_3d_clipfill_choice=0;plot_3d_clipfill_color="GrayLevel[0]";   
			plot_3d_framed_choice=0;plot_3d_hiddsurf_choice=0;plot_3d_lighting_choice=0;
			plot_3d_mesh_choice=0;plot_3d_plotcolor_choice=0;plot_3d_plotlabel_choice=0;
			plot_3d_plotlabel="";plot_3d_plotpoints_choice=0;plot_3d_plotpoints="";
			plot_3d_plotrange_choice=0;plot_3d_zmin="";plot_3d_zmax="";
			plot_3d_shading_choice=0;plot_3d_viewpoint_choice=0;plot_3d_viewpoint="";
			plot_3d_viewpoint_box_choice=0;plot_3d_printplot_choice=0;plot_3d_func_choice=0;
			plot_3d_ticks_choice=0;plot3d_flag="Plot3D";}
		end_button
	end_gadgets
end_dialog
dialog plotstyle_dialog_box
	label"PlotStyle Options"
	gadgets 
/*Variable*/	font"/usr/lib/fonts/fixedwidthfonts/cour.r.18"
		text plotstyle_1
		at 125 5
		display 28
		label "Option 1  :"
		end_text
		text plotstyle_2
		at 125 35
		display 28
		label "Option 2  :"
		end_text
		text plotstyle_3
		at 125 65
		display 28
		label "Option 3  :"
		end_text
		text background
		at 125 110
		display 28
		label "Background:"
		end_text
		menu at 595 5
			"Styles:"
			"Black" { if(plotstyle_1==""){
					plotstyle_1="GrayLevel[0]";}
				  else if(plotstyle_2==""){
					plotstyle_2="GrayLevel[0]";}
				  else if(plotstyle_3==""){
					plotstyle_3="GrayLevel[0]";}
				  		                }
			"Gray" { if(plotstyle_1==""){
					plotstyle_1="GrayLevel[.5]";}
				  else if(plotstyle_2==""){
					plotstyle_2="GrayLevel[.5]";}
				  else if(plotstyle_3==""){
					plotstyle_3="GrayLevel[.5]";}
				  		                }
			"White" { if(plotstyle_1==""){
					plotstyle_1="GrayLevel[1]";}
				  else if(plotstyle_2==""){
					plotstyle_2="GrayLevel[1]";}
				  else if(plotstyle_3==""){
					plotstyle_3="GrayLevel[1]";}
				  
		                } 
			"Red" { if(plotstyle_1==""){
					plotstyle_1="RGBColor[1,0,0]";}
				  else if(plotstyle_2==""){
					plotstyle_2="RGBColor[1,0,0]";}
				  else if(plotstyle_3==""){
					plotstyle_3="RGBColor[1,0,0]";}
				  
		                }
			"Green" { if(plotstyle_1==""){
					plotstyle_1="RGBColor[0,1,0]";}
				  else if(plotstyle_2==""){
					plotstyle_2="RGBColor[0,1,0]";}
				  else if(plotstyle_3==""){
					plotstyle_3="RGBColor[0,1,0]";}
				  
		                }
			"Blue" { if(plotstyle_1==""){
					plotstyle_1="RGBColor[0,0,1]";}
				  else if(plotstyle_2==""){
					plotstyle_2="RGBColor[0,0,1]";}
				  else if(plotstyle_3==""){
					plotstyle_3="RGBColor[0,0,1]";}
				  		                }
 
			"Yellow" { if(plotstyle_1==""){
					plotstyle_1="RGBColor[1,1,0]";}
				  else if(plotstyle_2==""){
					plotstyle_2="RGBColor[1,1,0]";}
				  else if(plotstyle_3==""){
					plotstyle_3="RGBColor[1,1,0]";}
				   		                }

			"Cyan" { if(plotstyle_1==""){
					plotstyle_1="RGBColor[0,1,1]";}
				  else if(plotstyle_2==""){
					plotstyle_2="RGBColor[0,1,1]";}
				  else if(plotstyle_3==""){
					plotstyle_3="RGBColor[0,1,1]";}
				  		                }

			"Magenta" { if(plotstyle_1==""){
					plotstyle_1="RGBColor[1,0,1]";}
				  else if(plotstyle_2==""){
					plotstyle_2="RGBColor[1,0,1]";}
				  else if(plotstyle_3==""){
					plotstyle_3="RGBColor[1,0,1]";}
				  		                }

			"Thick" { if(plotstyle_1==""){
					plotstyle_1="Thickness[.01]";}
				  else if(plotstyle_2==""){
					plotstyle_2="Thickness[.01]";}
				  else if(plotstyle_3==""){
					plotstyle_3="Thickness[.01]";}
				  
		                }
			"Thin" { if(plotstyle_1==""){
					plotstyle_1="Thickness[.001]";}
 				  else if(plotstyle_2==""){
					plotstyle_2="Thickness[.001]";}
				  else if(plotstyle_3==""){
					plotstyle_3="Thickness[.001]";}
				  
		                }

			"Dashed" { if(plotstyle_1==""){
					plotstyle_1="Dashing[{.02,.02}]";}
				  else if(plotstyle_2==""){
					plotstyle_2="Dashing[{.02,.02}]";}
				  else if(plotstyle_3==""){
					plotstyle_3="Dashing[{.02,.02}]";}
			   	  
		                }
			"Dotted" {     if(plotstyle_1==""){
					plotstyle_1="Dashing[{.001,.01}]";}
				  else if(plotstyle_2==""){
					plotstyle_2="Dashing[{.001,.01}]";}
				  else if(plotstyle_3==""){
					plotstyle_3="Dashing[{.001,.01}]";}
				  
		                }
			"Dot-Dash" { if(plotstyle_1==""){
					plotstyle_1="Dashing[{.001,.02,.02,.02}]";}
				  else if(plotstyle_2==""){
					plotstyle_2="Dashing[{.001,.02,.02,.02}]";}
				  else if(plotstyle_3==""){
					plotstyle_3="Dashing[{.001,.02,.02,.02}]";}
				  
		                }
			"Dot-Dot-Dash" { if(plotstyle_1==""){
					plotstyle_1="Dashing[{.001,.02,.001,.02,.02,.02}]";}
				  else if(plotstyle_2==""){
					plotstyle_2="Dashing[{.001,.02,.001,.02,.02,.02}]";}
				  else if(plotstyle_3==""){
					plotstyle_3="Dashing[{.001,.02,.001,.02,.02,.02}]";}
				  
		                }
			"Dash-Dash-Dot" { if(plotstyle_1==""){
					plotstyle_1="Dashing[{.001,.02,.02,.02,.02,.02}]";}
				  else if(plotstyle_2==""){
					plotstyle_2="Dashing[{.001,.02,.02,.02,.02,.02}]";}
				  else if(plotstyle_3==""){
					plotstyle_3="Dashing[{.001,.02,.02,.02,.02,.02}]";}
				  
		                }
		 end_menu
		text plotstyle_text
			at 125 140
			display 28
			label "PlotStyle :"
		end_text
		menu at 595 110
			"Colors" "Black" background="GrayLevel[0]";
		"Gray" background="GrayLevel[.5]"; "White" background="GrayLevel[1]"; "Red"
		background="RGBColor[1,0,0]"; "Green" background="RGBColor[0,1,0]"; "Blue" 
		background="RGBColor[0,0,1]"; "Yellow" background="RGBColor[1,1,0]";
		"Cyan" background="RGBColor[0,1,1]"; "Magenta" background="RGBColor[1,0,1]";  
		end_menu

		button at 5 185
			normal "Reset" {plotstyle_1="";plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";}
		end_button
		button at 595 185
			normal "Done" remove plotstyle_dialog_box;
		end_button
		button
			at 5 5
			normal "Del" plotstyle_1="";
		end_button
		button
			at 5 35
			normal "Del" plotstyle_2="";
		end_button
		button
			at 5 65
			normal "Del" plotstyle_3="";
		end_button
		button
			at 5 110
			normal "Del" background="";
		end_button
		button
			at 5 140
			normal "Del" plotstyle_text="";
		end_button
	end_gadgets
end_dialog
dialog map_box
		at 75 70
		label "P l o t T o o l -- Map"
/*Variable*/	gadgets font"/usr/lib/fonts/fixedwidthfonts/cour.r.18"
			text map_object
			at 5 5
			display 50
			label "Object    :"
			end_text
			text map_min1
			at 5 40
			display 50
			label "Min 1     :"
			end_text
			text map_max1
			at 5 75
			display 50
			label "Max 1     :"
			end_text
			text map_int1
			at 5 110
			display 50
			label "Interval 1:"
			end_text
			text map_min2
			at 5 145
			display 50
			label "Min 2     :"
			end_text
			text map_max2
			at 5 180
			display 50
			label "Max 2     :"
			end_text
			text map_int2
			at 5 215
			display 50
			label "Interval 2:"
			end_text

			button at 725 5
				normal "Clear last object" map_object="";
			end_button
			button at 725 40
				normal "Clear last min 1" map_min1="";
			end_button
			button at 725 75
				normal "Clear last max 1" map_max1="";
			end_button
			button at 725 110
				normal "Clear last int 1" map_int1="";
			end_button
			button at 725 145
				normal "Clear last min 2" map_min2="";
			end_button
			button at 725 180
				normal "Clear last max 2" map_max2="";
			end_button
			button at 725 215
				normal "Clear last int 2" map_int2="";
			end_button
			
			button at 5 255
				normal "Reset All" {map_object="";map_min1="";map_max1="";map_int1="";map_min2="";
						    map_max2="";map_int2="";
						    map_asp_ratio_choice=0;
						    map_asp_ratio_no="";map_axes_choice=0;
						    map_axes_origin="";map_axes_label_choice=0;
						    map_axes_label="";map_frame_choice=0;
						    map_plot_label_choice=0;map_plot_label="";
						    map_plot_range_choice=0;map_plot_range_no="";
						    map_plot_points_choice=0;map_plot_points="";
						    map_print_choice=0; map_func_choice=0;
						    map_flag=0;map_ticks_choice=0;map_ticks="";plotstyle_1="";
						    plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";
						    map_plot_plotstyle_choice=0;map_function="CartesianMap";
						    }
			end_button
			button at 245 255
				normal "Reset Options" {
						    map_asp_ratio_choice=0;
						    map_asp_ratio_no="";map_axes_choice=0;
						    map_axes_origin="";map_axes_label_choice=0;
						    map_axes_label="";map_frame_choice=0;
						    map_plot_label_choice=0;map_plot_label="";
						    map_plot_range_choice=0;map_plot_range_no="";
						    map_plot_points_choice=0;map_plot_points="";
						    map_print_choice=0; map_func_choice=0;
						    map_flag=0;map_ticks_choice=0;map_ticks="";plotstyle_1="";
						    plotstyle_2="";plotstyle_3="";background="";plotstyle_text="";
						    map_plot_plotstyle_choice=0;map_function="CartesianMap";
						    }
			end_button
			button at 485 255
				normal "Return to main menu" remove map_box;
			end_button
			button at 725 255
				normal "Plot" {
				if(map_object=="") map_beep_flag=1;
				if(map_min1=="" || map_max1=="") map_beep_flag=1;
				if(!(map_min2=="") && map_max2=="") map_beep_flag=1;
				if(map_function=="CartesianMap")
					if(map_min2=="" || map_max2=="") map_beep_flag=1;
			if(map_beep_flag) {map_beep_flag=0;beep;}
			else
			{
			remove map_box;
			if(map_print_choice==1){send format("LaserPrint[");}
			if(map_func_choice==1) {send format("Show[%%");}	
				else 
			{
			send format("%s[%s,",map_function,map_object);
			send format("{%s,%s",map_min1,map_max1);
			if(!(map_int1=="")) send format(",%s}",map_int1);
				else if(map_int1=="") send format("}");
			if(!(map_min2=="" && map_max2=="")) send format(",{%s,%s",map_min2,map_max2);
			if(!(map_min2=="" && map_max2=="") && !(map_int2=="")) send format(",%s}",map_int2);
			if(!(map_min2=="" && map_max2=="") && map_int2=="") send format("}");}
			if(map_plot_plotstyle_choice==1) {
					if(plotstyle_text!="" && map_func_choice==0){
						send format(",PlotStyle->%s",plotstyle_text);}
					if(background!=""){
						send format(",Background->%s",background);}
					if(!(plotstyle_1=="" && plotstyle_2=="" && plotstyle_3=="")){
						send format(",Prolog->{");
						if(plotstyle_1!=""){
							send format("%s",plotstyle_1);
							plotstyle_first=1;}
						if(plotstyle_2!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_2);plotstyle_first=0;}
							else
								send format("%s",plotstyle_2);plotstyle_first=1;
						}
						if(plotstyle_3!=""){
							if(plotstyle_first){
								send format(",%s",plotstyle_3);plotstyle_first=0;}
							else
								send format("%s",plotstyle_3);plotstyle_first=1;
						}
						send format("}");
					}
					plotstyle_first=0;
				}	
			 if(map_func_choice==0){
				if(map_asp_ratio_choice!=0){
				if(map_asp_ratio_choice==1){
				send format(",AspectRatio->%s",map_asp_ratio);}
				else if(map_asp_ratio_no!=""){
				send format(",AspectRatio->%s",map_asp_ratio_no);}}
			if(map_axes_choice!=0){
				if(map_axes_choice==1){
				send format(",Axes->%s",map_axes);}
				else if(map_axes_origin!=""){
					send format(",Axes->%s",map_axes_origin);}}
			if(map_axes_label_choice!=0 && map_axes_label!=""){
				send format(",AxesLabel->%s",map_axes_label);}
			if(map_frame_choice!=0){
				send format(",Framed->%s",map_frame);}
			if(map_plot_label_choice!=0 && map_plot_label!=""){
				send format(",PlotLabel->\"%s\"",map_plot_label);} 
			if(map_plot_range_choice!=0){
				if(map_plot_range_choice==1){
				send format(",PlotRange->%s",map_plot_range);}
				else if(map_plot_range_no!=""){
				send format(",PlotRange->%s",map_plot_range_no);}}
			if(map_plot_points_choice!=0 && map_plot_points!=""){
				send format(",PlotPoints->%s",map_plot_points);}
			if(map_ticks_choice!=0){
				if(map_ticks_choice==1){
				send format(",Ticks->None");}
				else if(map_ticks!=""){
				send format(",Ticks->%s",map_ticks);}}} else
			{	if(map_asp_ratio_choice!=0){
				if(map_asp_ratio_choice==1){
				send format(",AspectRatio->%s",map_asp_ratio);}
				else if(map_asp_ratio_no!=""){
				send format(",AspectRatio->%s",map_asp_ratio_no);}}
			if(map_axes_choice!=0){
				if(map_axes_choice==1){
				send format(",Axes->%s",map_axes);}
				else if(map_axes_origin!=""){
					send format(",Axes->%s",map_axes_origin);}}
			if(map_axes_label_choice!=0 && map_axes_label!=""){
				send format(",AxesLabel->%s",map_axes_label);}
			if(map_frame_choice!=0){
				send format(",Framed->%s",map_frame);}
			if(map_plot_label_choice!=0 && map_plot_label!=""){
				send format(",PlotLabel->\"%s\"",map_plot_label);} 
			if(map_plot_range_choice!=0){
				if(map_plot_range_choice==1){
				send format(",PlotRange->%s",map_plot_range);}
				else if(map_plot_range_no!=""){
				send format(",PlotRange->%s",map_plot_range_no);}}
			if(map_ticks_choice!=0){
				if(map_ticks_choice==1){
				send format(",Ticks->None");}
				else if(map_ticks!=""){
				send format(",Ticks->%s",map_ticks);}}}
			if(map_print_choice==1){
				send format("]]\n");}
			else send format("]\n");
			remove contour_plot_box;
			map_print_choice=0;map_func_choice=0;}
			}

			end_button
		label at 350 305 "Options for  M A P"	end_label
		choice map_asp_ratio_choice
		at 5 350
		label"(s)AspectRatio   :"
		display horizontal
			"Default " nothing;
			"Automatic " map_asp_ratio="Automatic";
			"Manual" nothing;
		end_choice
		text map_asp_ratio_no
			display 20
		at 550 350 
			label"AspectRatio:"
			action nothing;
		end_text
		choice map_axes_choice
			at 5 380
			label"(s)Axes          :"
			display horizontal
			"Automatic " map_axes="Automatic";
			"None " map_axes="None";
			"Manual" nothing;
		end_choice
		text map_axes_origin
		display 20
		at 550 380
		label"Axes Origin:"
		end_text
		choice map_axes_label_choice
			at 5 410 
		 	label"(s)AxesLabel     :"
			display horizontal
			"None " nothing;
			"Manual" nothing;
		end_choice
		text map_axes_label
			at 550 410
			display 20
			label "Label      :"
		end_text
		choice map_frame_choice
			at 5 440
			label "(s)Framed        :"
			display horizontal
			"True " nothing;
			"False" map_frame="False";
		end_choice
		choice map_plot_label_choice
			at 5 470
			label "(s)PlotLabel     :"
			display horizontal
			"None " nothing;
			"Manual" nothing;
		end_choice
		text map_plot_label
			at 550 470
			display 20
			label "Label      :"
		end_text
		choice map_plot_range_choice
			at 5 530
			label"(s)PlotRange     :"
			display horizontal
			"Automatic " nothing;
			"All " map_plot_range="All";
			"Manual" nothing;
		end_choice
		text map_plot_range_no
			at 550 530
			display 20
			label "Range      :"
		end_text
		choice map_plot_plotstyle_choice
			at 5 560
			label"(s)PlotStyle     :"
			display horizontal
			"Default " nothing;
			"Manual" popup plotstyle_dialog_box;
		end_choice
		choice map_plot_points_choice
			at 5 500
			label"   PlotPoints    :"
			display horizontal
			"Default " nothing;
			"Manual" nothing;
		end_choice
		text map_plot_points
			at 550 500
			display 20
			label"Points     :"
		end_text
		choice map_print_choice
			at 5 590
			label"(s)Print Plot    :"
			display horizontal
			"No " nothing;
			"Yes" nothing;
		end_choice
		choice map_func_choice
			at 550 590 
			label"Redraw LAST using Show?:" display horizontal "No" nothing; "Yes" nothing; end_choice
		choice map_ticks_choice
			at 5 620
			label"(s)Ticks         :"
			display horizontal
			"Default " nothing;
			"None " nothing;
			"Manual" nothing;
		end_choice
		text map_ticks
			at 550 620
			display 20
			label"Ticks      :"
		end_text
		label at 5 650 
		"_____________________________________________________________________________________" end_label
		label at 5 670
		"SPECIAL OPTIONS" end_label
		choice map_flag at 5 700 display horizontal label "Plot with options using: "
		"CartesianMap "  map_function="CartesianMap";  "PolarMap" map_function="PolarMap"; end_choice
		label at 5 720
		"_____________________________________________________________________________________" end_label
	
	end_gadgets
end_dialog
